Binary files pciutils-3.1.8/.ChangeLog.swp and pciutils-3.1.9/.ChangeLog.swp differ
Binary files pciutils-3.1.8/.Makefile.swp and pciutils-3.1.9/.Makefile.swp differ
Binary files pciutils-3.1.8/.README.swp and pciutils-3.1.9/.README.swp differ
diff -ruN pciutils-3.1.8/ChangeLog pciutils-3.1.9/ChangeLog
--- pciutils-3.1.8/ChangeLog	2011-10-02 13:28:09.000000000 +0200
+++ pciutils-3.1.9/ChangeLog	2012-01-14 15:38:25.000000000 +0100
@@ -1,3 +1,19 @@
+2012-01-14  Martin Mares <mj@ucw.cz>
+
+	* Released as 3.1.9.
+
+	* Updated README.
+
+	* Whereever we mention the PCI ID database, we now refer to
+	  http://pci-ids.ucw.cz/ and the sf.net site is mentioned only
+	  as a mirror. This includes update-pciids.
+
+	* Decode PCIe Gen 3 speeds and link status fields.
+
+	* Various minor bug fixes.
+
+	* Updated pci.ids to the today's snapshot of the database.
+
 2011-10-02  Martin Mares <mj@ucw.cz>
 
 	* Released as 3.1.8.
diff -ruN pciutils-3.1.8/Makefile pciutils-3.1.9/Makefile
--- pciutils-3.1.8/Makefile	2011-10-02 13:28:55.000000000 +0200
+++ pciutils-3.1.9/Makefile	2012-01-14 15:07:55.000000000 +0100
@@ -1,11 +1,11 @@
 # Makefile for The PCI Utilities
-# (c) 1998--2011 Martin Mares <mj@ucw.cz>
+# (c) 1998--2012 Martin Mares <mj@ucw.cz>
 
 OPT=-O2
 CFLAGS=$(OPT) -Wall -W -Wno-parentheses -Wstrict-prototypes -Wmissing-prototypes
 
-VERSION=3.1.8
-DATE=2011-10-02
+VERSION=3.1.9
+DATE=2012-01-14
 
 # Host OS and release (override if you are cross-compiling)
 HOST=
diff -ruN pciutils-3.1.8/README pciutils-3.1.9/README
--- pciutils-3.1.8/README	2011-10-02 13:29:04.000000000 +0200
+++ pciutils-3.1.9/README	2012-01-14 15:48:04.000000000 +0100
@@ -1,6 +1,6 @@
-This package contains the PCI Utilities, version 3.1.8.
+This package contains the PCI Utilities, version 3.1.9.
 
-Copyright (c) 1997--2011 Martin Mares <mj@ucw.cz>
+Copyright (c) 1997--2012 Martin Mares <mj@ucw.cz>
 
 All files in this package can be freely distributed and used according
 to the terms of the GNU General Public License, either version 2 or
@@ -66,7 +66,7 @@
 		specify this option, the configure script will try to guess
 		automatically based on the presence of zlib.
 
-  DNS=yes/no	Enable support for querying the central database of PCI ID's
+  DNS=yes/no	Enable support for querying the central database of PCI IDs
 		using DNS.  Requires libresolv (which is available on most
 		systems as a part of the standard libraries) and tries to
 		autodetect its presence if the option is not specified.
@@ -85,26 +85,28 @@
 When you are bored of dumping PCI registers, just use "make uninstall".
 
 
-3. Getting new ID's
+3. Getting new IDs
 ~~~~~~~~~~~~~~~~~~~
-The database of PCI ID's (the pci.ids file) gets out of date much faster
-than I release new versions of this package.
+The database of PCI IDs (the pci.ids file) gets out of date much faster
+than I release new versions of this package, so it is maintained separately.
 
-If you are missing names for any of your devices or you just want to stay
-on the bleeding edge, download the most recent pci.ids file from
-http://pciids.sf.net/ (e.g., by running the update-ids utility).
+It lives at http://pci-ids.ucw.cz/, where you can browse the database,
+download the most recent pci.ids file (e.g., by running the update-ids utility)
+and also submit new entries.
 
 Alternatively, you can use `lspci -q' to query the central database
 for new entries via network.
 
-If your devices still appear as unknown, please send us their ID's and
-names, the detailed instructions for submissions are listed on the
-sf.net web page.
+The pci.ids file is also mirrored at http://pciids.sourceforge.net/
 
 
 4. Getting new versions
 ~~~~~~~~~~~~~~~~~~~~~~~
-New versions of pciutils are available at the following places:
+The current version of pciutils is available at:
+
+	http://mj.ucw.cz/sw/pciutils/
+
+The tarball can be downloaded at the following places:
 
 	ftp://atrey.karlin.mff.cuni.cz/pub/linux/pci/
 	ftp://ftp.kernel.org/pub/software/utils/pciutils/ (expect a couple of hours delay)
@@ -127,24 +129,11 @@
 ~~~~~~~~~~~
 If you have any bug reports or suggestions, send them to the author.
 
-If you have any new ID's, I'll be very glad to add them to the database, but
-please take a look at http://pciids.sf.net/ first and follow the instructions.
+If you have any new IDs, I'll be very glad to add them to the database.
+Just submit them at http://pci-ids.ucw.cz/.
 
-If you want, subscribe to linux-pci@vger.kernel.org (take a look at
-http://vger.kernel.org/ for instructions).
-Release notes about new versions will be send to the list and problems with
-the Linux PCI support will be probably discussed there, too.
-
-
-7. Miscellanea
-~~~~~~~~~~~~~~
-You also might want to look at the pciutils web page containing release
-notes and other news: http://mj.ucw.cz/pciutils.shtml .
-
-There also exists a utility called PowerTweak which is able to fine tune
-parameters of many chipsets much better than the Bridge Optimization code
-in Linux kernel (already removed in 2.3.x). See http://powertweak.sf.net/
-for more information.
+Announcements of new versions are sent to linux-pci@vger.kernel.org
+(see http://vger.kernel.org/ for instructions).
 
 					Have fun
 							Martin
diff -ruN pciutils-3.1.8/lib/dump.c pciutils-3.1.9/lib/dump.c
--- pciutils-3.1.8/lib/dump.c	2011-01-07 22:04:28.000000000 +0100
+++ pciutils-3.1.9/lib/dump.c	2011-11-14 12:08:39.000000000 +0100
@@ -62,7 +62,7 @@
   struct pci_dev *dev = NULL;
   int len, mn, bn, dn, fn, i, j;
 
-  if (!a)
+  if (!name)
     a->error("dump: File name not given.");
   if (!(f = fopen(name, "r")))
     a->error("dump: Cannot open %s: %s", name, strerror(errno));
diff -ruN pciutils-3.1.8/lib/header.h pciutils-3.1.9/lib/header.h
--- pciutils-3.1.8/lib/header.h	2011-05-18 10:53:11.000000000 +0200
+++ pciutils-3.1.9/lib/header.h	2011-11-08 19:22:02.000000000 +0100
@@ -860,9 +860,14 @@
 #define  PCI_EXP_LNKCTL2_MARGIN(x)	(((x) >> 7) & 7) /* Transmit Margin */
 #define  PCI_EXP_LNKCTL2_MOD_CMPLNC	0x0400	/* Enter Modified Compliance */
 #define  PCI_EXP_LNKCTL2_CMPLNC_SOS	0x0800	/* Compliance SOS */
-#define  PCI_EXP_LNKCTL2_COM_DEEMPHASIS(x) (((x) >> 12) & 1) /* Compliance De-emphasis */
+#define  PCI_EXP_LNKCTL2_COM_DEEMPHASIS(x) (((x) >> 12) & 0xf) /* Compliance De-emphasis */
 #define PCI_EXP_LNKSTA2			0x32	/* Link Status */
 #define  PCI_EXP_LINKSTA2_DEEMPHASIS(x)	((x) & 1)	/* Current De-emphasis Level */
+#define  PCI_EXP_LINKSTA2_EQU_COMP	0x02	/* Equalization Complete */
+#define  PCI_EXP_LINKSTA2_EQU_PHASE1	0x04	/* Equalization Phase 1 Successful */
+#define  PCI_EXP_LINKSTA2_EQU_PHASE2	0x08	/* Equalization Phase 2 Successful */
+#define  PCI_EXP_LINKSTA2_EQU_PHASE3	0x10	/* Equalization Phase 3 Successful */
+#define  PCI_EXP_LINKSTA2_EQU_REQ	0x20	/* Link Equalization Request */
 #define PCI_EXP_SLTCAP2			0x34	/* Slot Capabilities */
 #define PCI_EXP_SLTCTL2			0x38	/* Slot Control */
 #define PCI_EXP_SLTSTA2			0x3a	/* Slot Status */
diff -ruN pciutils-3.1.8/ls-caps.c pciutils-3.1.9/ls-caps.c
--- pciutils-3.1.8/ls-caps.c	2011-01-07 22:04:28.000000000 +0100
+++ pciutils-3.1.9/ls-caps.c	2011-11-08 19:22:02.000000000 +0100
@@ -717,6 +717,8 @@
 	return "2.5GT/s";
       case 2:
 	return "5GT/s";
+      case 3:
+	return "8GT/s";
       default:
 	return "unknown";
     }
@@ -728,6 +730,8 @@
     {
       case 1:
 	return "L0s";
+      case 2:
+	return "L1";
       case 3:
 	return "L0s L1";
       default:
@@ -949,6 +953,8 @@
 	return "2.5GT/s";
       case 2:
 	return "5GT/s";
+      case 3:
+	return "8GT/s";
       default:
 	return "Unknown";
     }
@@ -1003,8 +1009,14 @@
 	cap_express_link2_deemphasis(PCI_EXP_LNKCTL2_COM_DEEMPHASIS(w)));
 
   w = get_conf_word(d, where + PCI_EXP_LNKSTA2);
-  printf("\t\tLnkSta2: Current De-emphasis Level: %s\n",
-	cap_express_link2_deemphasis(PCI_EXP_LINKSTA2_DEEMPHASIS(w)));
+  printf("\t\tLnkSta2: Current De-emphasis Level: %s, EqualizationComplete%c, EqualizationPhase1%c\n"
+	"\t\t\t EqualizationPhase2%c, EqualizationPhase3%c, LinkEqualizationRequest%c\n",
+	cap_express_link2_deemphasis(PCI_EXP_LINKSTA2_DEEMPHASIS(w)),
+	FLAG(w, PCI_EXP_LINKSTA2_EQU_COMP),
+	FLAG(w, PCI_EXP_LINKSTA2_EQU_PHASE1),
+	FLAG(w, PCI_EXP_LINKSTA2_EQU_PHASE2),
+	FLAG(w, PCI_EXP_LINKSTA2_EQU_PHASE3),
+	FLAG(w, PCI_EXP_LINKSTA2_EQU_REQ));
 }
 
 static void cap_express_slot2(struct device *d UNUSED, int where UNUSED)
diff -ruN pciutils-3.1.8/lspci.c pciutils-3.1.9/lspci.c
--- pciutils-3.1.8/lspci.c	2011-10-02 12:41:01.000000000 +0200
+++ pciutils-3.1.9/lspci.c	2012-01-14 15:06:20.000000000 +0100
@@ -590,7 +590,8 @@
       int p = 8*i;
       u32 base = get_conf_long(d, PCI_CB_MEMORY_BASE_0 + p);
       u32 limit = get_conf_long(d, PCI_CB_MEMORY_LIMIT_0 + p);
-      if (limit > base || verb)
+      limit = limit + 0xfff;
+      if (base <= limit || verb)
 	printf("\tMemory window %d: %08x-%08x%s%s\n", i, base, limit,
 	       (cmd & PCI_COMMAND_MEMORY) ? "" : " [disabled]",
 	       (brc & (PCI_CB_BRIDGE_CTL_PREFETCH_MEM0 << i)) ? " (prefetchable)" : "");
Binary files pciutils-3.1.8/maint/.release.pm.swp and pciutils-3.1.9/maint/.release.pm.swp differ
Binary files pciutils-3.1.8/maint/.release.swp and pciutils-3.1.9/maint/.release.swp differ
diff -ruN pciutils-3.1.8/maint/release pciutils-3.1.9/maint/release
--- pciutils-3.1.8/maint/release	2011-10-02 13:21:52.000000000 +0200
+++ pciutils-3.1.9/maint/release	2012-01-14 15:39:11.000000000 +0100
@@ -1,6 +1,6 @@
 #!/usr/bin/perl
 # A simple script for making releases of the pciutils
-# (c) 2003--2011 Martin Mares <mj@ucw.cz>
+# (c) 2003--2012 Martin Mares <mj@ucw.cz>
 
 use strict;
 use warnings;
@@ -14,8 +14,8 @@
 }
 print "API version is $apiver ... <confirm> "; <STDIN>;
 
-## print "Updating public GIT tree\n";
-## `git push --tags public`; die if $?;
+print "Updating public GIT tree\n";
+`git push --tags public`; die if $?;
 
 my $r = new UCW::Release("pciutils");
 my $ver = $r->GetVersionFromFile("Makefile", "VERSION=(.*)");
diff -ruN pciutils-3.1.8/maint/tag-release pciutils-3.1.9/maint/tag-release
--- pciutils-3.1.8/maint/tag-release	1970-01-01 01:00:00.000000000 +0100
+++ pciutils-3.1.9/maint/tag-release	2011-10-02 13:33:58.000000000 +0200
@@ -0,0 +1,6 @@
+#!/bin/sh
+if [ -z "$1" -o -n "$2" ] ; then
+	echo >&2 'Usage: tag-release vX.Y.Z'
+	exit 1
+fi
+git tag -u 431134F9 $1
diff -ruN pciutils-3.1.8/pci.ids pciutils-3.1.9/pci.ids
--- pciutils-3.1.8/pci.ids	2011-10-02 12:58:51.000000000 +0200
+++ pciutils-3.1.9/pci.ids	2012-01-14 15:34:18.000000000 +0100
@@ -1,11 +1,11 @@
 #
 #	List of PCI ID's
 #
-#	Version: 2011.10.02
-#	Date:    2011-10-02 12:58:51
+#	Version: 2012.01.14
+#	Date:    2012-01-14 15:34:18
 #
 #	Maintained by Martin Mares <mj@ucw.cz> and other volunteers from the
-#	PCI ID Project at http://pciids.sf.net/.
+#	PCI ID Project at http://pci-ids.ucw.cz/.
 #
 #	New data are always welcome, especially if they are accurate. If you have
 #	anything to contribute, please follow the instructions at the web site.
@@ -93,7 +93,7 @@
 	8519  OV519 series
 05e3  CyberDoor
 	0701  CBD516
-066f  Sigmatel Inc.
+066f  SigmaTel
 	3410  SMTP3410
 	3500  SMTP3500
 0675  Dynalink
@@ -423,7 +423,7 @@
 	0065  SAS2116 PCI-Express Fusion-MPT SAS-2 [Meteor]
 	006e  SAS2308 PCI-Express Fusion-MPT SAS-2
 	0070  SAS2004 PCI-Express Fusion-MPT SAS-2 [Spitfire]
-	0071  MR SAS HBA
+	0071  MR SAS HBA 2004
 	0072  SAS2008 PCI-Express Fusion-MPT SAS-2 [Falcon]
 		1028 1f1c  6Gbps SAS HBA Adapter
 		1028 1f1d  PERC H200 Adapter
@@ -432,7 +432,7 @@
 		1028 1f20  PERC H200 Embedded
 		1028 1f22  Internal Tape Adapter
 		8086 350f  RMS2LL040 RAID Controller
-	0073  MegaRAID SAS 9240
+	0073  MegaRAID SAS 2008 [Falcon]
 		1000 9240  MegaRAID SAS 9240-8i
 		1000 9241  MegaRAID SAS 9240-4i
 		1014 03b1  ServeRAID M1015 SAS/SATA Controller
@@ -446,6 +446,8 @@
 		1054 3035  LSI MegaRAID SAS 9240-8i
 		1137 0072  2004 iMR ROMB
 		1137 0073  2008 ROMB
+		1137 00b0  UCSC RAID SAS 2008M-8i
+		1137 00b1  UCSC RAID SAS 2008M-8i
 		15d9 0400  Supermicro SMC2008-iMR
 		1734 1177  RAID Ctrl SAS 6G 0/1 (D2607)
 		8086 350d  RMS2AF040 RAID Controller
@@ -462,6 +464,7 @@
 		1000 9262  MegaRAID SAS 9262-8i
 		1000 9263  MegaRAID SAS 9261-8i
 		1000 9264  MegaRAID SAS 9264-8i
+		1000 9268  MegaRAID SAS 9260CV-8i
 		1000 9275  MegaRAID SAS 9280-8ex
 		1000 9276  MR9260-16i
 		1000 9280  MegaRAID SAS 9280-8e
@@ -531,7 +534,7 @@
 		8086 3008  MegaRAID RAID Controller SRCS28X
 		8086 3431  MegaRAID RAID Controller Alief SROMBU42E
 		8086 3499  MegaRAID RAID Controller Harwich SROMBU42E
-	0411  MegaRAID SAS
+	0411  MegaRAID SAS 1068
 		1000 1001  MegaRAID SAS 8408E
 		1000 1002  MegaRAID SAS 8480E
 		1000 1003  MegaRAID SAS 8344ELP
@@ -550,7 +553,7 @@
 		8086 3500  SROMBSAS18E RAID Controller
 		8086 3501  SROMBSAS18E RAID Controller
 		8086 3504  SROMBSAS18E RAID Controller
-	0413  MegaRAID SAS Verde ZCR
+	0413  MegaRAID SAS 1068 [Verde ZCR]
 		1000 1005  MegaRAID SAS 8300XLP
 	0621  FC909 Fibre Channel Adapter
 	0622  FC929 Fibre Channel Adapter
@@ -599,12 +602,14 @@
 	0016  PCI-MFB Analogue I/O board
 	0017  PROTO-3 PCI Prototyping board
 	9100  INI-9100/9100W SCSI Host
-1002  ATI Technologies Inc
+# nee ATI Technologies Inc.
+1002  Advanced Micro Devices [AMD] nee ATI
 	1314  Wrestler HDMI Audio [Radeon HD 6250/6310]
+	1714  BeaverCreek HDMI Audio [Radeon HD 6500D and 6400G-6600G series]
 	3150  M24 1P [Radeon Mobility X600]
 		103c 0934  nx8220
 	3151  M24 [FireMV 2400]
-	3152  M22 [Radeon Mobility X300]
+	3152  RV370 [Mobility Radeon X300]
 	3154  M24GL [Mobility FireGL V3200]
 	3171  M24 [FireMV 2400] (Secondary)
 	3e50  RV380 0x3e50 [Radeon X600]
@@ -759,7 +764,7 @@
 		1458 b005  Gigabyte GA-MA69G-S3H Motherboard
 		1462 7327  K9AG Neo2
 		17f2 5999  KI690-AM2 Motherboard
-	4381  SB600 Raid-5 SATA
+	4381  SB400 SATA Controller (RAID 5 mode)
 	4382  SB600 AC97 Audio
 	4383  SBx00 Azalia (Intel HDA)
 		103c 1611  Pavilion DM1Z-3000
@@ -942,9 +947,9 @@
 		1002 0084  Rage 3D Pro AGP 2x XPERT 98
 		1002 0087  Rage 3D IIC
 		1002 475a  Rage IIC AGP
-	4964  Radeon RV250 Id [Radeon 9000]
-	4965  Radeon RV250 Ie [Radeon 9000]
-	4966  Radeon RV250 If [Radeon 9000]
+	4964  RV250 Id [Radeon 9000]
+	4965  RV250 Ie [Radeon 9000]
+	4966  R250 If [Radeon 9000]
 		10f1 0002  RV250 If [Tachyon G9000 PRO]
 		148c 2039  RV250 If [Radeon 9000 Pro "Evil Commando"]
 		1509 9a00  RV250 If [Radeon 9000 "AT009"]
@@ -953,7 +958,7 @@
 		174b 7192  RV250 If [Radeon 9000 "Atlantis"]
 		17af 2005  RV250 If [Excalibur Radeon 9000 Pro]
 		17af 2006  RV250 If [Excalibur Radeon 9000]
-	4967  Radeon RV250 Ig [Radeon 9000]
+	4967  RV250 Ig [Radeon 9000]
 	496e  RV250 [Radeon 9000] (Secondary)
 	4a48  R420 JH [Radeon X800]
 	4a49  R420 JI [Radeon X800PRO]
@@ -961,7 +966,7 @@
 	4a4b  R420 JK [Radeon X800]
 	4a4c  R420 JL [Radeon X800]
 	4a4d  R420 JM [FireGL X3]
-	4a4e  M18 JN [Radeon Mobility 9800]
+	4a4e  R420 JN [Mobility Radeon 9800]
 	4a4f  R420 [Radeon X800 AGP]
 	4a50  R420 JP [Radeon X800XT]
 	4a54  R420 [Radeon X800 VE]
@@ -1016,7 +1021,7 @@
 		1033 8112  Versa Note VXi
 	4c53  Rage Mobility L
 	4c54  264LT [Mach64 LT]
-	4c57  Radeon Mobility M7 LW [Radeon Mobility 7500]
+	4c57  RV200 [Mobility Radeon 7500]
 		1014 0517  ThinkPad T30
 		1014 0530  ThinkPad T42 2373-4WU
 		1028 00e6  Radeon Mobility M7 LW (Dell Inspiron 8100)
@@ -1024,7 +1029,7 @@
 		1043 1622  Mobility Radeon M7 (L3C/S)
 		144d c006  Radeon Mobility M7 LW in vpr Matrix 170B4
 	4c58  Radeon RV200 LX [Mobility FireGL 7800 M7]
-	4c59  Radeon Mobility M6 LY
+	4c59  RV100 LY [Mobility Radeon 7000]
 		0e11 b111  Evo N600c
 		1014 0235  ThinkPad A30/A30p (2652/2653)
 		1014 0239  ThinkPad X22/X23/X24
@@ -1032,7 +1037,7 @@
 		104d 80e7  VAIO PCG-GR214EP/GR214MP/GR215MP/GR314MP/GR315MP
 		104d 8140  PCG-Z1SP laptop
 		1509 1930  Medion MD9703
-	4c5a  Radeon Mobility M6 LZ
+	4c5a  RV100 LZ [Mobility Radeon 7000]
 	4c64  Radeon RV250 Ld [Radeon Mobility 9000 M9]
 	4c65  Radeon RV250 Le [Radeon Mobility 9000 M9]
 	4c66  Radeon RV250 [Mobility FireGL 9000]
@@ -1064,10 +1069,10 @@
 		144d c00c  P35 notebook
 		1462 0311  MSI M510A
 		1734 1055  Amilo M1420W
-	4e51  M10 NQ [Radeon Mobility 9600]
+	4e51  RV350 NQ [Mobility Radeon 9600]
 	4e52  RV350 [Mobility Radeon 9600 M10]
 		144d c00c  P35 notebook
-	4e53  M10 NS [Radeon Mobility 9600]
+	4e53  RV350 NS [Mobility Radeon 9600]
 	4e54  M10 NT [FireGL Mobility T2]
 	4e56  M11 NV [FireGL Mobility T2e]
 	4e64  Radeon R300 [Radeon 9700 Pro] (Secondary)
@@ -1157,7 +1162,7 @@
 	514f  Radeon R200 QO [Radeon 8500LE]
 	5154  R200 QT [Radeon 8500]
 	5155  R200 QU [Radeon 9100]
-	5157  Radeon RV200 QW [Radeon 7500]
+	5157  RV200 QW [Radeon 7500]
 		1002 013a  Radeon 7500
 		1002 0f2b  ALL-IN-WONDER VE PCI
 		1002 103a  Dell Optiplex GX260
@@ -1169,8 +1174,8 @@
 		174b 7147  RV200 QW [Sapphire Radeon 7500LE]
 		174b 7161  Radeon RV200 QW [Radeon 7500 LE]
 		17af 0202  RV200 QW [Excalibur Radeon 7500LE]
-	5158  Radeon RV200 QX [Radeon 7500]
-	5159  Radeon RV100 QY [Radeon 7000/VE]
+	5158  RV200 QX [Radeon 7500]
+	5159  RV100 QY [Radeon 7000/VE]
 		1002 000a  Radeon 7000/Radeon VE
 		1002 000b  Radeon 7000
 		1002 0038  Radeon 7000/Radeon VE
@@ -1195,7 +1200,7 @@
 		174b 7c28  Sapphire Radeon VE 7000 DDR
 		1787 0202  RV100 QY [Excalibur Radeon 7000]
 		17ee 1001  Radeon 7000 64MB DDR + DVI
-	515a  Radeon RV100 QZ [Radeon 7000/VE]
+	515a  RV100 QZ [Radeon 7000/VE]
 	515e  ES1000
 		1028 01bb  PowerEdge 1955 Embedded ATI ES1000
 		1028 01df  PowerEdge SC440
@@ -1265,11 +1270,11 @@
 	5453  Rage 128 Pro Ultra TS
 	5454  Rage 128 Pro Ultra TT
 	5455  Rage 128 Pro Ultra TU
-	5460  M22 [Mobility Radeon X300]
+	5460  RV370 [Mobility Radeon X300]
 		1775 1100  CR11/VR11 Single Board Computer
-	5461  M22 [Mobility Radeon X300]
-	5462  M24 [Radeon Mobility X600]
-	5464  M22 [FireGL GL]
+	5461  RV370 [Mobility Radeon X300]
+	5462  RV380 [Mobility Radeon X600]
+	5464  RV370 [Mobility FireGL V3100]
 	5548  R423 UH [Radeon X800 (PCIE)]
 	5549  R423 UI [Radeon X800PRO (PCIE)]
 	554a  R423 UJ [Radeon X800LE (PCIE)]
@@ -1494,25 +1499,28 @@
 	6743  Whistler [Radeon E6760]
 	6750  Turks [AMD Radeon HD 6570]
 	6751  Turks [Radeon HD 7600A Series]
-	6758  Turks XT [AMD Radeon HD 6600 Series]
-	6759  NI Turks [AMD Radeon HD 6500]
+	6758  Turks [Radeon HD 6670]
+	6759  Turks [Radeon HD 6570]
 	675d  Turks [Radeon HD 7500 Series]
-	6760  NI Seymour [AMD Radeon HD 6470M]
+	6760  Seymour [Radeon HD 6400M Series]
 		1028 04cc  Vostro 3350
-	6761  NI Seymour [AMD Radeon HD 6430M]
-	6763  NI SEYMOUR [Radoen] E6460
+	6761  Seymour LP [Radeon HD 6430M]
+	6763  Seymour [Radeon E6460]
 	6770  Caicos [Radeon HD 6400 Series]
+	6772  Caicos [Radeon HD 7400A Series]
 	6778  Caicos [Radeon HD 7000 Series]
-	6779  NI Caicos [AMD RADEON HD 6450]
+	6779  Caicos [Radeon HD 6450]
 		174b e164  Sapphire HD 6450 1GB DDR3
 	677b  Caicos [Radeon HD 7400 Series]
 	6798  Tahiti XT [Radeon HD 7970]
 	6799  New Zealand [Radeon HD 7990]
 	679a  Tahiti PRO [Radeon HD 7950]
 	6840  Thames XT/GL [Radeon HD 7600M Series]
-	6841  Thames PRO [Radeon HD 7850]
+	6841  Thames [Radeon 7500M/7600M Series]
+	6843  Thames [Radeon HD 7670M]
 	6850  Lombok GL AIO [Radeon HD 7570]
-	6889  EG Cypress [FirePro V7800]
+	6858  Lombok [Radeon HD 7400 series]
+	6889  Cypress [FirePro V7800]
 	688c  Cypress [AMD FireStream 9370]
 	688d  Cypress [AMD FireStream 9350]
 	6898  Cypress XT [Radeon HD 5870]
@@ -1526,10 +1534,10 @@
 	68a1  Broadway PRO [Mobility Radeon HD 5800 Series]
 	68a8  Broadway [ATI Mobility Radeon HD 6800 Series]
 	68a9  Juniper XT [FirePro 3D V5800]
-	68b8  Juniper [Radeon HD 5700/6700 Series]
+	68b8  Juniper [Radeon HD 5700 Series]
 	68b9  Juniper [Radeon HD 5600/5700]
 	68ba  Juniper XT [AMD Radeon HD 6000 Series]
-	68be  Juniper [Radeon HD 5700 Series/6750]
+	68be  Juniper [Radeon HD 5700 Series]
 	68bf  Juniper LE [Radeon HD 6700 Series]
 	68c0  Madison [Mobility Radeon HD 5000 Series]
 		103c 1521  Madison XT [FirePro M5800]
@@ -1761,9 +1769,9 @@
 		1002 94c9  Radeon HD2400
 	94cb  Radeon E2400
 	94cc  RV 610LE PCI [Radeon HD 2400]
-	9501  Radeon HD 3870
+	9501  RV670 [Radeon HD 3870]
 		174b e620  Sapphire Radeon HD 3870 PCIe 2.0
-	9504  Mobility Radeon HD 3850
+	9504  RV670 [Mobility Radeon HD 3850]
 	9505  RV670PRO [Radeon HD 3850]
 	9507  RV670 [Radeon HD 3850]
 	9508  M88 XT Mobility Radeon HD 3870]
@@ -1774,15 +1782,15 @@
 	9540  RV710 [Radeon HD 4550]
 	954f  RV710 [Radeon HD 4350]
 		1462 1618  R4350 MD512H (MS-V161)
-	9552  M92 LP [Mobility Radeon HD 4300 Series]
-	9553  M92 [Mobility Radeon HD 4500/5100 Series]
+	9552  RV710 [Mobility Radeon HD 4300 Series]
+	9553  RV710 [Mobility Radeon HD 4500/5100 Series]
 		1179 ff82  Satellite L505-13T GPU (Mobility Radeon HD 5145)
-	9555  M93 [Mobility Radeon HD 4300/4500 Series]
+	9555  RV710 [Mobility Radeon HD 4300/4500 Series]
 		103c 1411  ProBook 4720s GPU (Mobility Radeon HD 4350)
-	9559  Mobility Radeon HD 3600 Series
-	955f  M92 [Mobility Radeon HD 4330]
-	9581  M76 [Radeon Mobility HD 2600 Series]
-	9583  M76XT [Mobility Radeon HD 2600 XT]
+	9559  RV635 [Mobility Radeon HD 3600 Series]
+	955f  RV710 [Mobility Radeon HD 4330]
+	9581  RV630 [Mobility Radeon HD 2600]
+	9583  RV630 [Mobility Radeon HD 2600 XT]
 	9586  RV 630 XT AGP [Radeon HD 2600 XT AGP]
 	9587  RV630 PRO AGP [Radeon HD 2600 PRO AGP]
 	9588  RV630 [Radeon HD 2600XT]
@@ -1792,16 +1800,16 @@
 	958d  RV630 [FireGL V3600]
 	9591  RV635 [Mobility Radeon HD 3650]
 		1002 9591  Mobility Radeon HD 3650
-	9593  Radeon Mobility HD 3670
+	9593  RV635 [Mobility Radeon HD 3670]
 	9595  M86GL [Mobility FireGL V5700]
 	9596  RV635 PRO AGP [Radeon HD 3650]
 		1043 0028  EAH3650 SILENT/HTDI/512M/A
-	9598  Mobility Radeon HD 3600 Series
+	9598  RV630 [Radeon HD 3600 Series]
 		1002 9598  Mobility Radeon HD 3600
 		1043 01d6  EAH3650 Silent
-	95c0  Mobility Radeon HD 3470
+	95c0  RV620 PRO [Radeon HD 3470]
 		1002 95c0  Mobility Radeon HD 3470
-	95c4  Mobility Radeon HD 3400 Series
+	95c4  RV620 [Mobility Radeon HD 3400 Series]
 		1002 95c4  Mobility Radeon HD 3400
 	95c5  RV620 LE [Radeon HD 3450]
 	95c6  RV620 LE AGP [Radeon HD 3450]
@@ -1811,37 +1819,40 @@
 	95cd  RV620 [FireMV 2450]
 	95ce  RV620 [FirePro 2260]
 	95cf  RV620 [FirePro 2260]
-	960f  RS780 Azalia controller
-	9610  Radeon HD 3200 Graphics
+	960f  RS780 HDMI Audio [Radeon HD 3000-3300 Series]
+	9610  RS780 [Radeon HD 3200]
 		1458 d000  GA-MA78GM-S2H Motherboard
-	9611  Radeon HD 3100 Graphics
-	9612  RS780M/RS780MN [Radeon HD 3200 Graphics]
-	9613  RS780MC [Radeon HD 3100 Graphics]
-	9614  Radeon HD 3300 Graphics
-	9615  RS780E [AMD 780E]
-	9616  760G [Radeon 3000]
-	970f  RS880 Audio Device [Radeon HD 4200]
+	9611  RS780C [Radeon HD 3100]
+	9612  RS780M/RS780MN [Mobility Radeon HD 3200 Graphics]
+	9613  RS780MC [Mobility Radeon HD 3100 Graphics]
+	9614  RS780D [Radeon HD 3300]
+	9615  RS780E [Radeon HD 3200]
+	9616  RS780L [Radeon HD 3000]
+	9640  BeaverCreek [Radeon HD 6550D]
+	9641  BeaverCreek [Mobility Radeon HD 6620G]
+	964a  BeaverCreek [Radeon HD 6530D]
+	970f  RS880 HDMI Audio [Radeon HD 4200 Series]
 		1043 83a2  M4A785TD Motherboard
 		1043 843e  M5A88-V EVO
 	9710  RS880 [Radeon HD 4200]
 		1043 83a2  M4A785TD Motherboard
-	9712  M880G [Mobility Radeon HD 4200]
-	9713  M860G [Mobility Radeon 4100]
+	9712  RS880M [Mobility Radeon HD 4200 Series]
+	9713  RS880M [Mobility Radeon HD 4100]
 	9714  RS880 [Radeon HD 4290]
 	9715  RS880 [Radeon HD 4250]
 		1043 843e  M5A88-V EVO
-	9723  Radeon HD 5450
 # Radeon HD 6250 too?
 	9802  Wrestler [Radeon HD 6310]
-	9804  Radeon HD 6250
+	9804  Wrestler [Radeon HD 6250]
+	9806  Wrestler [Radeon HD 6320]
 	aa00  R600 Audio Device [Radeon HD 2900 Series]
-	aa08  RV630/M76 audio device [Radeon HD 2600 Series]
-	aa10  RV610 audio device [Radeon HD 2400 PRO]
+	aa08  RV630 audio device [Radeon HD 2600 Series]
+	aa10  RV610 HDMI Audio [Radeon HD 2350/2400 Series]
 		174b aa10  Sapphire HD 2400 PRO audio device
 		18bc aa10  GeCube Radeon HD 2400 PRO HDCP-capable digital-only audio device
-	aa18  Radeon HD 3870 Audio device
-	aa20  RV635 Audio device [Radeon HD 3600 Series]
-	aa28  RV620 Audio device [Radeon HD 34xx Series]
+	aa18  RV670/680 HDMI Audio [Radeon HD 3690/3800 Series]
+	aa20  RV635 HDMI Audio [Radeon HD 3600 Series]
+	aa28  RV620 HDMI Audio [Radeon HD 3400 Series]
 	aa30  RV770 HDMI Audio [Radeon HD 4850/4870]
 		174b aa30  Sapphire HD 4850 512MB GDDR3 PCI-E Dual Slot Fansink
 	aa38  RV710/730 HDMI Audio [Radeon HD 4000 series]
@@ -1849,13 +1860,19 @@
 		174b aa38  R700 Audio Device [Radeon HD 4000 Series]
 	aa50  Cypress HDMI Audio [Radeon HD 5800 Series]
 	aa58  Juniper HDMI Audio [Radeon HD 5700 Series]
-	aa60  Redwood HDMI Audio [Radeon HD 5600 Series]
+# 5500, 5600 and mobile 5700 series
+	aa60  Redwood HDMI Audio [Radeon HD 5000 Series]
+		1025 033d  Mobility Radeon HD 5650
 		1025 0347  Aspire 7740G
-	aa68  Manhattan HDMI Audio [Mobility Radeon HD 5000 Series]
+	aa68  Cedar HDMI Audio [Radeon HD 5400/6300 Series]
 		1028 aa68  XPS 8300
+	aa80  Cayman/Antilles HDMI Audio [Radeon HD 6900 Series]
 	aa88  Barts HDMI Audio [Radeon HD 6800 Series]
+# 6500, 6600 and mobile 6700 series
+	aa90  Turks HDMI Audio [Radeon HD 6000 Series]
 	aa98  Caicos HDMI Audio [Radeon HD 6400 Series]
 		174b aa98  Sapphire HD 6450 1GB DDR3
+	aaa0  Tahiti XT HDMI Audio [Radeon HD 7970 Series]
 	ac00  Theater 600 Pro
 	ac02  TV Wonder HD 600 PCIe
 	ac12  Theater HD T507 (DVB-T) TV tuner/capture device
@@ -2247,6 +2264,8 @@
 		1014 0360  PCI-E Auxiliary Cache Adapter (57B7)
 	033d  PCI-E IPR SAS Adapter (FPGA)
 		1014 033c  PCIe2 1.8GB Cache 6Gb SAS RAID Adapter Tri-port (57B5)
+		1014 0353  PCIe2 3.1GB Cache 6Gb SAS RAID Enclosure (57C3)
+		1014 0354  PCIe2 6Gb SAS Adapter Dual-port (57C4)
 		1014 0356  PCIe2 1.8GB Cache 6Gb SAS RAID & SSD Adapter (574D)
 		1014 035f  PCIe2 6Gb SAS Adapter Quad-port (57B2)
 	034a  PCI-E IPR SAS Adapter (ASIC)
@@ -2341,6 +2360,21 @@
 	1302  Family 11h Processor DRAM Controller
 	1303  Family 11h Processor Miscellaneous Control
 	1304  Family 11h Processor Link Control
+	1400  Family 15h (Models 10h-1fh) Processor Function 0
+	1401  Family 15h (Models 10h-1fh) Processor Function 1
+	1402  Family 15h (Models 10h-1fh) Processor Function 2
+	1403  Family 15h (Models 10h-1fh) Processor Function 3
+	1404  Family 15h (Models 10h-1fh) Processor Function 4
+	1405  Family 15h (Models 10h-1fh) Processor Function 5
+	1410  Family 15h (Models 10h-1fh) Processor Root Complex
+	1412  Family 15h (Models 10h-1fh) Processor Root Port
+	1413  Family 15h (Models 10h-1fh) Processor Root Port
+	1414  Family 15h (Models 10h-1fh) Processor Root Port
+	1415  Family 15h (Models 10h-1fh) Processor Root Port
+	1416  Family 15h (Models 10h-1fh) Processor Root Port
+	1417  Family 15h (Models 10h-1fh) Processor Root Port
+	1418  Family 15h (Models 10h-1fh) Processor Root Port
+	1419  Family 15h (Models 10h-1fh) I/O Memory Management Unit
 	1510  Family 14h Processor Root Complex
 	1512  Family 14h Processor Root Port
 	1513  Family 14h Processor Root Port
@@ -2487,8 +2521,8 @@
 		1043 843e  M5A88-V EVO
 	9602  RS780/RS880 PCI to PCI bridge (int gfx)
 	9603  RS780 PCI to PCI bridge (ext gfx port 0)
-	9604  RS780 PCI to PCI bridge (PCIE port 0)
-	9605  RS780 PCI to PCI bridge (PCIE port 1)
+	9604  RS780/RS880 PCI to PCI bridge (PCIE port 0)
+	9605  RS780/RS880 PCI to PCI bridge (PCIE port 1)
 	9606  RS780 PCI to PCI bridge (PCIE port 2)
 	9607  RS780 PCI to PCI bridge (PCIE port 3)
 	9608  RS780/RS880 PCI to PCI bridge (PCIE port 4)
@@ -2610,6 +2644,8 @@
 	5453  M5453 PCI AC-Link Controller Modem Device
 	7101  M7101 PCI PMU Power Management Controller
 		10b9 7101  M7101 PCI PMU Power Management Controller
+# should be 1022:9602
+	9602  AMD RS780/RS880 PCI to PCI bridge (int gfx)
 1028  Dell
 	0001  PowerEdge Expandable RAID Controller 2/Si
 		1028 0001  PowerEdge 2400
@@ -3031,6 +3067,7 @@
 	0194  uPD720200 USB 3.0 Host Controller
 		1028 04b2  Vostro 3350
 		1043 8413  P8P67 Deluxe Motherboard
+		1b96 0001  USB 3.0 PCIe Card
 1034  Framatome Connectors USA Inc.
 1035  Comp. & Comm. Research Lab
 1036  Future Domain Corp.
@@ -3106,9 +3143,9 @@
 		1043 80a7  Motherboard P4S800D-X
 		1462 0900  MS-6701 motherboard
 	0961  SiS961 [MuTIOL Media IO]
-	0962  SiS962 [MuTIOL Media IO]
-	0963  SiS963 [MuTIOL Media IO]
-	0964  SiS964 [MuTIOL Media IO]
+	0962  SiS962 [MuTIOL Media IO] LPC Controller
+	0963  SiS963 [MuTIOL Media IO] LPC Controller
+	0964  SiS964 [MuTIOL Media IO] LPC Controller
 	0965  SiS965 [MuTIOL Media IO]
 	0966  SiS966 [MuTIOL Media IO]
 	0968  SiS968 [MuTIOL Media IO]
@@ -3123,7 +3160,7 @@
 	5315  550 PCI/AGP VGA Display Adapter
 	5401  486 PCI Chipset
 	5511  5511/5512
-	5513  5513 [IDE]
+	5513  5513 IDE Controller
 		1019 0970  P6STP-FL motherboard
 		1039 5513  SiS5513 EIDE Controller (A,B step)
 		1043 8035  CUSI-FX motherboard
@@ -3308,6 +3345,12 @@
 		103c 3249  Smart Array P812
 		103c 324a  HP Smart Array 712m (Mezzanine RAID controller)
 		103c 324b  Smart Array P711m (Mezzanine RAID controller)
+	323b  Smart Array Gen8 Controllers
+		103c 3350  P222
+		103c 3351  P420
+		103c 3352  P421
+		103c 3354  P420i
+		103c 3355  P220i
 	3300  Integrated Lights-Out Standard Virtual USB Controller
 		103c 3304  iLO2
 		103c 3305  iLO2
@@ -3467,6 +3510,7 @@
 	0008  STG 2000X
 	0009  STG 1764X
 	0010  STG4000 [3D Prophet Kyro Series]
+		1681 c069  3D Prophet 4000XT
 	0201  STPC Vega Northbridge
 	0209  STPC Consumer/Industrial North- and Southbridge
 	020a  STPC Atlas/ConsumerS/Consumer IIA Northbridge
@@ -3926,7 +3970,7 @@
 		1043 809e  A7V8X motherboard
 	3515  PDC40719 [FastTrak TX4300/TX4310]
 	3519  PDC40519 (FastTrak TX4200)
-	3570  20771 (FastTrak TX2300)
+	3570  PDC20771 [FastTrak TX2300]
 	3571  PDC20571 (FastTrak TX2200)
 	3574  PDC20579 SATAII 150 IDE Controller
 	3577  PDC40779 (SATA 300 779)
@@ -3946,8 +3990,8 @@
 		105a 4d30  Ultra Device on SuperTrak
 		105a 4d33  Ultra66
 		105a 4d39  FastTrak66
-	4d68  PDC20268 (Ultra100 TX2)
-		105a 4d68  Ultra100TX2
+	4d68  PDC20268 [Ultra100 TX2]
+		105a 4d68  Ultra100 TX2
 	4d69  20269
 		105a 4d68  Ultra133TX2
 	5275  PDC20276 (MBFastTrak133 Lite)
@@ -4528,6 +4572,7 @@
 	b071  IMAQ-PCI-1422
 	b081  IMAQ-PXI-1422
 	b091  IMAQ-PXI-1411
+	c4c4  PXIe-4353
 	c801  PCI-GPIB
 	c831  PCI-GPIB bridge
 1094  First International Computers [FIC]
@@ -4576,6 +4621,7 @@
 109c  Megachips Corporation
 109d  Zida Technologies Ltd.
 109e  Brooktree Corporation
+	0310  Bt848 Video Capture
 	032e  Bt878 Video Capture
 	0350  Bt848 Video Capture
 	0351  Bt849A Video capture
@@ -5270,7 +5316,7 @@
 		103c 0025  XE4500 Notebook
 	5459  SmartLink SmartPCI561 56K Modem
 	545a  SmartLink SmartPCI563 56K Modem
-	5461  High Definition Audio/AC'97 Host Controller
+	5461  HD Audio Controller
 	5471  M5471 Memory Stick Controller
 	5473  M5473 SD-MMC Controller
 	7101  M7101 Power Management Controller [PMU]
@@ -5460,6 +5506,7 @@
 		10de 000f  Compaq NVIDIA TNT2 Pro
 		1102 1020  3D Blaster RIVA TNT2
 		1102 1026  3D Blaster RIVA TNT2 Digital
+		1462 8806  MS-8806 AGPhantom Graphics Card
 		14af 5810  Maxi Gamer Xentor
 	0029  NV5 [RIVA TNT2 Ultra]
 		1043 0200  AGP-V3800 Deluxe
@@ -5743,7 +5790,7 @@
 		1043 81c6  N6600GT TD 128M AGP
 		1458 3150  GV-N66T128VP
 		1554 1191  PixelView PV-N43UA (128KD)
-		1682 2119  GeForce 6600 GT AGP 128MB DDR3 DUAL DVI TV
+		1682 2119  GeForce 6600 GT AGP
 	00f2  NV43 [GeForce 6600]
 		1554 1194  PixelView PV-N43AT (256KD)
 		1682 211c  GeForce 6600 256MB DDR DUAL DVI TV
@@ -5899,7 +5946,7 @@
 	0197  G80 [Tesla C870]
 	019d  G80 [Quadro FX 5600]
 	019e  G80 [Quadro FX 4600]
-	01a0  NVCrush11 [GeForce2 MX Integrated Graphics]
+	01a0  nForce 220/420 NV11 [GeForce2 MX]
 	01a4  nForce CPU bridge
 	01ab  nForce 420 Memory Controller (DDR)
 	01ac  nForce 220/420 Memory Controller
@@ -6325,7 +6372,9 @@
 		1028 020e  Inspiron 531
 		1849 03e0  939NF6G-VSTA Board
 	03e1  MCP61 LPC Bridge
-	03e2  MCP61 LPC Bridge
+		1043 83a4  M4N68T series motherboard
+	03e2  MCP61 Host Bridge
+		1043 83a4  M4N68T series motherboard
 	03e3  MCP61 LPC Bridge
 	03e4  MCP61 High Definition Audio
 	03e5  MCP61 Ethernet
@@ -6342,22 +6391,30 @@
 		1849 03ea  939NF6G-VSTA Board
 	03eb  MCP61 SMBus
 		1028 020e  Inspiron 531
+		1043 83a4  M4N68T series motherboard
 		1849 03eb  939NF6G-VSTA Board
 	03ec  MCP61 IDE
+		1025 0392  ET1350
 		1028 020e  Inspiron 531
+		1043 83a4  M4N68T series motherboard
 		1849 03ec  939NF6G-VSTA Board
 	03ee  MCP61 Ethernet
 	03ef  MCP61 Ethernet
+		1025 8000  ET1350
 		1028 020e  Inspiron 531
+		1043 83a4  M4N68T series motherboard
 		1849 03ef  939NF6G-VSTA Board
 	03f0  MCP61 High Definition Audio
 		1028 020e  Inspiron 531
+		1043 8415  M4N68T series motherboard
 		1849 0888  939NF6G-VSTA Board
-	03f1  MCP61 USB Controller
+	03f1  MCP61 USB 1.1 Controller
 		1028 020e  Inspiron 531
+		1043 83a4  M4N68T series motherboard
 		1849 03f1  939NF6G-VSTA Board
-	03f2  MCP61 USB Controller
+	03f2  MCP61 USB 2.0 Controller
 		1028 020e  Inspiron 531
+		1043 83a4  M4N68T series motherboard
 		1849 03f2  939NF6G-VSTA Board
 	03f3  MCP61 PCI bridge
 		1028 020e  Inspiron 531
@@ -6365,9 +6422,11 @@
 	03f4  MCP61 SMU
 	03f5  MCP61 Memory Controller
 		1028 020e  Inspiron 531
+		1043 83a4  M4N68T series motherboard
 		1849 03eb  939NF6G-VSTA Board
 	03f6  MCP61 SATA Controller
 		1028 020e  Inspiron 531
+		1043 83a4  M4N68T series motherboard
 		1849 03f6  939NF6G-VSTA Board
 	03f7  MCP61 SATA Controller
 	0400  G84 [GeForce 8600 GTS]
@@ -6402,7 +6461,7 @@
 	0427  G86 [GeForce 8400M GS]
 		103c 30cc  Pavilion dv6700
 	0428  G86 [GeForce 8400M G]
-	0429  G84M [Quadro NVS 140M]
+	0429  G86 [Quadro NVS 140M]
 		17aa 20d8  ThinkPad T61
 	042a  G86M [Quadro NVS 130M]
 	042b  G86M [Quadro NVS 135M]
@@ -6501,7 +6560,7 @@
 		1019 297a  MCP73PVT-SM
 	056f  MCP73 PCI Express bridge
 		1019 297a  MCP73PVT-SM
-	05b1  NF200 PCIe 2.0 switch for mainboards
+	05b1  NF200 PCIe 2.0 switch
 	05b8  NF200 PCIe 2.0 switch for GTX 295
 	05be  NF200 PCIe 2.0 switch for Quadro Plex S4 / Tesla S870 / Tesla S1070 / Tesla S2050
 	05e0  GT200b [GeForce GTX 295]
@@ -6564,6 +6623,7 @@
 		107d 2ac1  WinFast PX9600GT 1024MB
 		1458 3481  GV-NX96T512HP
 	0623  G94 [GeForce 9600 GS]
+	0624  G94 [GeForce 9600 GT Green Edition]
 	0625  G94 [GeForce 9600 GSO 512]
 	0626  G94 [GeForce GT 130]
 	0627  G94 [GeForce GT 140]
@@ -6922,8 +6982,10 @@
 	0be9  GF106 High Definition Audio Controller
 		1558 8687  CLEVO/KAPOK W860CU
 	0bea  GF108 High Definition Audio Controller
+		3842 1430  GeForce GT 430
 	0beb  GF104 High Definition Audio Controller
 		1462 2322  N460GTX Cyclone 1GD5/OC
+	0bee  GF116 High Definition Audio Controller
 	0ca0  GT215 [GeForce GT 330]
 	0ca2  GT215 [GeForce GT 320]
 	0ca3  GT215 [GeForce GT 240]
@@ -6951,43 +7013,55 @@
 	0d94  MCP89 High Definition Audio
 	0d9c  MCP89 OHCI USB 1.1 Controller
 	0d9d  MCP89 EHCI USB 2.0 Controller
-	0dc4  GF106 [GeForce 450 GTS]
-	0dcd  GF108 [GeForce GT 555M]
+	0dc4  GF106 [GeForce GTS 450]
+	0dcd  GF106 [GeForce GT 555M]
+	0dce  GF106 [GeForce GT 555M]
 # rev a1
 	0dd1  GF106 [GeForce GTX 460M]
 		1558 8687  CLEVO/KAPOK W860CU
 	0dd2  GF106 [GeForce GT 445M]
 	0dd8  GF106GL [Quadro 2000]
 	0dda  GF106 [Quadro 2000M]
-# Not sure if this is GF106 or GF108
-	0de0  [GeForce GT 440]
+	0de0  GF108 [GeForce GT 440]
 	0de1  GF108 [GeForce GT 430]
-	0de2  GeForce GT 420
+		3842 1430  GeForce GT 430
+	0de2  GF108 [GeForce GT 420]
+# Not fully sure that it's GF108, might also be GF106.
+	0deb  GF108 [GeForce GT 555M]
 	0dee  GF108 [GeForce GT 415M]
 	0df0  GF108 [GeForce GT 425M]
-	0df4  GF106 [GeForce GT 555M]
+	0df2  GF108 [GeForce GT 435M]
+	0df4  GF108 [GeForce GT 540M]
+	0df5  GF108 [GeForce GT 540M]
 	0df8  GF108 [Quadro 600]
 	0dfa  GF108 [Quadro 1000M]
 	0e08  HDMI Audio stub
 	0e09  GF110 High Definition Audio Controller
+	0e0c  GF110 High Definition Audio Controller
 	0e22  GF104 [GeForce GTX 460]
 		1462 2322  N460GTX Cyclone 1GD5/OC
 	0e3a  GF104 [Quadro 3000M]
 	0e3b  GF104 [Quadro 4000M]
-	1040  GT520 [GeForce GT520]
-	1056  GF108 [Quadro NVS 4200M]
+	1040  GF119 [GeForce GT 520]
+	1050  GF119 [GeForce GT 520M]
+	1051  GF119 [GeForce GT 520MX]
+	1056  GF119 [Quadro NVS 4200M]
+	1057  GF119 [Quadro NVS 4200M]
 	1080  GF110 [GeForce GTX 580]
 	1081  GF110 [GeForce GTX 570]
 		10de 087e  Leadtek WinFast GTX 570
 	1082  GF114 [GeForce GTX 560 Ti]
 	1086  GF110 [GeForce GTX 570 HD]
+	1094  Tesla M2075 Dual-Slot Computing Processor Module
 	10c3  GT218 [GeForce 8400 GS]
 		10de 066d  G98 [GeForce 8400GS]
-	10c5  M116N
+	10c5  Dell M116N [GeForce 405]
 	10d8  GT218 [NVS 300]
 	1200  GF110 [GeForce GTX 560 Ti]
 	1201  GF114 [GeForce GTX 560]
 	1244  GF116 [GeForce GTX 550 Ti]
+	1245  GF116 [GeForce GTS 450]
+	1247  GF106 [GeForce GT 555M]
 10df  Emulex Corporation
 	1ae5  LP6000 Fibre Channel Host Adapter
 	e100  Proteus-X: LightPulse IOV Fibre Channel Host Adapter
@@ -7217,6 +7291,7 @@
 		1458 e000  GA-EP45-DS5 Motherboard
 		1462 238c  Onboard RTL8111b on MSI P965 Platinum Mainboard
 		1462 368c  K9AG Neo2
+		1462 7522  X58 Pro-E
 		1775 11cc  CC11/CL11
 		1849 8168  Motherboard (one of many)
 		8086 d615  DeskTop Board D510MO
@@ -7790,7 +7865,7 @@
 		1849 3227  K7VT4 motherboard
 	3230  K8M890CE/K8N890CE [Chrome 9]
 	3238  K8T890 Host Bridge
-	3249  VT6421 IDE RAID Controller
+	3249  VT6421 IDE/SATA Controller
 	324a  CX700/VX700 PCI to PCI Bridge
 	324b  CX700/VX700 Host Bridge
 	324e  CX700/VX700 Internal Module Bus
@@ -7810,7 +7885,7 @@
 	3337  VT8237A PCI to ISA Bridge
 	3340  PT900 Host Bridge
 	3343  P4M890 [S3 UniChrome Pro]
-	3344  CN700/P4M800 Pro/P4M800 CE/VN800 [S3 UniChrome Pro]
+	3344  CN700/P4M800 Pro/P4M800 CE/VN800 Graphics [S3 UniChrome Pro]
 	3349  VT8251 AHCI/SATA 4-Port Controller
 	3351  VT3351 Host Bridge
 	3353  VX800 PCI to PCI Bridge
@@ -7868,6 +7943,7 @@
 	6353  VX800/VX820 Scratch Registers
 	6364  CN896/VN896/P4M900 Security Device
 	6409  VX855/VX875 Scratch Registers
+	7122  VX900 Graphics [Chrome9 HD]
 	7204  K8M800 Host Bridge
 	7205  KM400/KN400/P4M800 [S3 UniChrome]
 		1458 d000  Gigabyte GA-7VM400(A)M(F) Motherboard
@@ -8244,7 +8320,7 @@
 		102b 48d0  Matrox CronosPlus
 		1048 226b  ELSA EX-VISION 300TV
 		107d 6655  WinFast DTV1000S
-		1131 0000  Behold TV 401
+		1131 0000  SAA7130-based TV tuner card
 		1131 2001  10MOONS PCI TV CAPTURE CARD
 		1131 2005  Techcom (India) TV Tuner Card (SSD-TV-670)
 		1458 9006  GT-PS700 DVB-S tuner
@@ -8271,7 +8347,7 @@
 		1043 4845  TV-FM 7135
 		1043 4862  P7131 Dual
 		1043 4876  My Cinema-P7131 Hybrid
-		1131 0000  KWorld V-Stream Studio TV Terminator
+		1131 0000  SAA713x-based TV tuner card
 		1131 2001  Proteus Pro [philips reference design]
 		1131 2018  Tiger reference design
 		1131 4ee9  MonsterTV Mobile
@@ -8335,7 +8411,7 @@
 		1043 0210  Digimatrix TV
 		1043 4840  ASUS TV-FM 7134
 		1043 4842  TV-FM 7134
-		1131 0000  Behold TV 403 FM
+		1131 0000  SAA713x-based TV tuner card
 		1131 2004  EUROPA V3 reference design
 		1131 4e85  SKNet Monster TV
 		1131 6752  EMPRESS
@@ -9170,6 +9246,7 @@
 	010c  CompuScope 82G 8bit 2GS/s Analog Input Card
 1198  Lambda Systems Inc
 1199  Attachmate Corporation
+	0101  Advanced ISCA/PCI Adapter
 	6832  Sierra Wireless MC8780 Device
 119a  Mind Share, Inc.
 119b  Omega Micro Inc.
@@ -9943,8 +10020,6 @@
 	0d13  Desktop PCI L1/L3 Telephony
 1232  GPT Limited
 1233  Bus-Tech, Inc.
-# Also Bochs uses this for virtual VGA...
-1234  Technical Corp.
 1235  Risq Modular Systems, Inc.
 1236  Sigma Designs Corporation
 	0000  RealMagic64/GX
@@ -10093,12 +10168,13 @@
 		1468 0202  LAN-Express IEEE 802.11b Wireless LAN
 	3873  ISL3874 [Prism 2.5]/ISL3872 [Prism 3]
 		10cf 1169  MBH7WM01-8734 802.11b Wireless Mini PCI Card [ISL3874]
-		1186 3501  DWL-520 Wireless PCI Adapter (rev A) [ISL3874]
+		1186 3501  DWL-520 Wireless PCI Adapter (rev A or B) [ISL3874]
 		1186 3700  DWL-520 Wireless PCI Adapter (rev E1) [ISL3872]
 		1385 4105  MA311 802.11b wireless adapter [ISL3874]
 		1668 0414  HWP01170-01 802.11b PCI Wireless Adapter
 		16a5 1601  AIR.mate PC-400 PCI Wireless LAN Adapter
 		1737 3874  WMP11 v1 802.11b Wireless-B PCI Adapter [ISL3874]
+		4033 7033  PCW200 802.11b Wireless PCI Adapter [ISL3874]
 		8086 2510  M3AWEB Wireless 802.11b MiniPCI Adapter
 		8086 2513  Wireless 802.11b MiniPCI Adapter
 	3877  ISL3877 [Prism Indigo]
@@ -11042,14 +11118,25 @@
 	003a  Silicom Dual port Fiber-LX Ethernet PCI-E Intel based Bypass Server Adapter
 	003b  Silicom Dual port Fiber Ethernet PMC Intel based Bypass Server Adapter (PMCX2BPFI)
 	003c  Silicom Dual port Copper Ethernet PCI-X BGE based Bypass Server Adapter (PXG2BPRB)
+	003d  2-port Copper GBE Bypass with Caviume 1010 PCI-X
 	003e  Silicom Dual port Fiber Giga Ethernet PCI-E 571 TAP/Bypass Server Adapter (PEG2TBFI)
 	003f  Silicom Dual port Copper Giga Ethernet PCI-X 546 TAP/Bypass Server Adapter (PXG2TBI)
 	0040  Silicom Quad port Fiber-SX Giga Ethernet 571 Bypass Server Adapter (PEG4BPFI)
+	0042  4-port Copper GBE PMC-X Bypass
 	0043  Silicom Quad port Fiber-SX Giga Ethernet 546 Bypass Server Adapter (PXG4BPFID)
 	0045  Silicom 6 port Copper Giga Ethernet 546 Bypass Server Adapter (PXG6BPI)
+	0046  4-port bypass PCI-E w disconnect low profile
 	0047  Silicom Dual port Fiber-SX Giga Ethernet 571 Bypass Disconnect Server Adapter (PEG2BPFID)
 	004a  Silicom Quad port Fiber-LX Giga Ethernet 571 Bypass Server Adapter (PEG4BPFI-LX)
 	004d  Dual port Copper Giga Ethernet PCI-E Bypass Server Adapter
+	0401  Gigabit Ethernet ExpressModule Bypass Server Adapter
+	0420  Gigabit Ethernet ExpressModule Bypass Server Adapter
+	0460  Gigabit Ethernet Express Module Bypass Server Adapter
+	0461  Gigabit Ethernet ExpressModule Bypass Server Adapter
+	0462  Gigabit Ethernet ExpressModule Bypass Server Adapter
+	0470  Octal-port Copper Gigabit Ethernet Express Module Bypass Server Adapter
+	0482  Dual-port Fiber (SR) 10 Gigabit Ethernet ExpressModule Bypass Server Adapter
+	0483  Dual-port Fiber (LR) 10 Gigabit Ethernet ExpressModule Bypass Server Adapter
 1375  Argosystems Inc
 1376  LMC
 1377  Electronic Equipment Production & Distribution GmbH
@@ -11672,6 +11759,8 @@
 	4008  T420-CX Unified Wire Ethernet Controller
 	4009  T420-BT Unified Wire Ethernet Controller
 	400a  T404-BT Unified Wire Ethernet Controller
+	400d  T480 Unified Wire Ethernet Controller
+	400e  T440-LP-CR Unified Wire Ethernet Controller
 	4401  T420-CR Unified Wire Ethernet Controller
 	4402  T422-CR Unified Wire Ethernet Controller
 	4403  T440-CR Unified Wire Ethernet Controller
@@ -11682,6 +11771,8 @@
 	4408  T420-CX Unified Wire Ethernet Controller
 	4409  T420-BT Unified Wire Ethernet Controller
 	440a  T404-BT Unified Wire Ethernet Controller
+	440d  T480 Unified Wire Ethernet Controller
+	440e  T440-LP-CR Unified Wire Ethernet Controller
 	4501  T420-CR Unified Wire Storage Controller
 	4502  T422-CR Unified Wire Storage Controller
 	4503  T440-CR Unified Wire Storage Controller
@@ -11692,6 +11783,8 @@
 	4508  T420-CX Unified Wire Storage Controller
 	4509  T420-BT Unified Wire Storage Controller
 	450a  T404-BT Unified Wire Storage Controller
+	450d  T480 Unified Wire Storage Controller
+	450e  T440-LP-CR Unified Wire Storage Controller
 	4601  T420-CR Unified Wire Storage Controller
 	4602  T422-CR Unified Wire Storage Controller
 	4603  T440-CR Unified Wire Storage Controller
@@ -11702,6 +11795,8 @@
 	4608  T420-CX Unified Wire Storage Controller
 	4609  T420-BT Unified Wire Storage Controller
 	460a  T404-BT Unified Wire Storage Controller
+	460d  T480 Unified Wire Storage Controller
+	460e  T440-LP-CR Unified Wire Storage Controller
 	4701  T420-CR Unified Wire Ethernet Controller
 	4702  T422-CR Unified Wire Ethernet Controller
 	4703  T440-CR Unified Wire Ethernet Controller
@@ -11712,6 +11807,8 @@
 	4708  T420-CX Unified Wire Ethernet Controller
 	4709  T420-BT Unified Wire Ethernet Controller
 	470a  T404-BT Unified Wire Ethernet Controller
+	470d  T480 Unified Wire Ethernet Controller
+	470e  T440-LP-CR Unified Wire Ethernet Controller
 	4801  T420-CR Unified Wire Ethernet Controller
 	4802  T422-CR Unified Wire Ethernet Controller
 	4803  T440-CR Unified Wire Ethernet Controller
@@ -11722,6 +11819,8 @@
 	4808  T420-CX Unified Wire Ethernet Controller
 	4809  T420-BT Unified Wire Ethernet Controller
 	480a  T404-BT Unified Wire Ethernet Controller
+	480d  T480 Unified Wire Ethernet Controller
+	480e  T440-LP-CR Unified Wire Ethernet Controller
 	a000  PE10K Unified Wire Ethernet Controller
 1426  Storage Technology Corp.
 1427  Better On-Line Solutions
@@ -12076,7 +12175,7 @@
 		1028 0235  PowerEdge R710 BCM5709 Gigabit Ethernet
 		1028 0236  PowerEdge R610 BCM5709 Gigabit Ethernet
 		1028 0237  PowerEdge T610 BCM5709 Gigabit Ethernet
-		103c 7055  NC382i Integrated Quad Port PCI Express Gigabit Server Adapter
+		103c 7055  NC382i Integrated Multi-port PCI Express Gigabit Server Adapter
 		103c 7059  NC382T PCI Express Dual Port Multifunction Gigabit Server Adapter
 		10a9 8027  Quad port Gigabit Ethernet Controller
 	163a  NetXtreme II BCM5709S Gigabit Ethernet
@@ -12087,6 +12186,7 @@
 	163b  NetXtreme II BCM5716 Gigabit Ethernet
 		1028 028c  PowerEdge R410 BCM5716 Gigabit Ethernet
 		1028 028d  PowerEdge T410 BCM5716 Gigabit Ethernet
+		1028 02f1  PowerEdge R510 BCM5716 Gigabit Ethernet
 	163c  NetXtreme II BCM5716S Gigabit Ethernet
 	1644  NetXtreme BCM5700 Gigabit Ethernet
 		1014 0277  Broadcom Vigil B5700 1000Base-T
@@ -12262,6 +12362,7 @@
 		103c 280a  DC5750 Microtower
 	167d  NetXtreme BCM5751M Gigabit Ethernet PCI Express
 		1014 0577  ThinkPad Z60t
+		103c 0934  HP nx8220
 		103c 0940  HP Compaq nw8240 Mobile Workstation
 		17aa 2081  ThinkPad R60e
 	167e  NetXtreme BCM5751F Fast Ethernet PCI Express
@@ -12389,8 +12490,8 @@
 		16a5 1602  B-300 802.11b Wireless CardBus Adapter
 		1737 4301  WMP11 v2.7 802.11b Wireless-B PCI Adapter
 	4305  BCM4307 V.90 56k Modem
-	4306  BCM4307 Ethernet Controller
-	4307  BCM4307 802.11b Wireless LAN Controller
+	4306  BCM4306 802.11bg Wireless LAN controller
+	4307  BCM4306 802.11bg Wireless LAN Controller
 	4310  BCM4310 Chipcommon I/OController
 	4311  BCM4311 802.11b/g WLAN
 		1028 0007  Wireless 1390 WLAN Mini-Card
@@ -12469,7 +12570,8 @@
 		1154 0330  Buffalo WLI2-PCI-G54S High Speed Mode Wireless Desktop Adapter
 		144f 7050  eMachines M6805 802.11g Built-in Wireless
 		144f 7051  Sonnet Aria Extreme PCI
-		14e4 4320  Linksys WMP54G PCI
+		1737 0013  WMP54G v1 802.11g PCI Adapter
+		1737 0014  WMP54G v2 802.11g PCI Adapter
 		1737 0015  WMP54GS v1.0 802.11g Wireless-G PCI Adapter with SpeedBooster
 		1737 4320  WPC54G v1 / WPC54GS v1 802.11g Wireless-G Notebook Adapter
 		1799 7000  F5D7000 v1000 Wireless G Desktop Card
@@ -12477,8 +12579,8 @@
 		1799 7010  F5D7010 v1000 Wireless G Notebook Card
 		1799 7011  F5D7011 v1000 High-Speed Mode Wireless G Notebook Card
 		185f 1220  TravelMate 290E WLAN Mini-PCI Card
-	4321  BCM4306 802.11a Wireless LAN Controller
-	4322  BCM4306 UART
+	4321  BCM4321 802.11a Wireless Network Controller
+	4322  BCM4322 802.11bgn Wireless Network Controller
 	4324  BCM4306 802.11a/b/g
 		1028 0001  Truemobile 1400
 		1028 0002  TrueMobile 1400 Dual Band WLAN PC Card
@@ -12486,7 +12588,7 @@
 		1028 0004  Wireless 1450 Dual Band WLAN PC Card
 		103c 12f9  Broadcom 802.11a/b/g WLAN
 		103c 12fc  Broadcom 802.11a/b/g WLAN
-	4325  BCM43xG 802.11b/g
+	4325  BCM4306 802.11bg Wireless Network Controller
 		1414 0003  Wireless Notebook Adapter MN-720
 		1414 0004  Wireless PCI Adapter MN-730
 	4326  BCM4307 Chipcommon I/O Controller?
@@ -12503,12 +12605,12 @@
 	4329  BCM4321 802.11b/g/n
 		1385 7d00  WN311B RangeMax Next 270 Mbps Wireless PCI Adapter
 		1737 0058  WPC300N v1 Wireless-N Notebook Adapter
-	432a  BCM4321
+	432a  BCM4321 802.11an Wireless Network Controller
 	432b  BCM4322 802.11a/b/g/n Wireless LAN Controller
 		1028 000d  Wireless 1510 Wireless-N WLAN Mini-Card
 	432c  BCM4322 802.11b/g/n
 		1799 d311  Dynex DX-NNBX 802.11n WLAN Cardbus Card
-	432d  BCM4322 802.11a/b/g/n
+	432d  BCM4322 802.11an Wireless Network Controller
 	4331  BCM4331 802.11a/b/g/n
 		106b 00d6  AirPort Extreme
 	4344  EDGE/GPRS data and 802.11b/g combo cardbus [GC89]
@@ -12554,7 +12656,7 @@
 	4719  BCM47xx/53xx RoboSwitch Core
 	4720  BCM4712 MIPS CPU
 	4727  BCM4313 802.11b/g/n Wireless LAN Controller
-		1028 0010  XPS 8300
+		1028 0010  Inspiron M5010 / XPS 8300
 	5365  BCM5365P Sentry5 Host Bridge
 	5600  BCM5600 StrataSwitch 24+2 Ethernet Switch Controller
 	5605  BCM5605 StrataSwitch 24+2 Ethernet Switch Controller
@@ -13130,7 +13232,8 @@
 158d  Point Multimedia Systems
 158e  Lara Technology Inc
 158f  Ditect Coop
-1590  3PAR Inc.
+# nee 3PAR Inc.
+1590  Hewlett-Packard Company
 	0001  Eagle Cluster Manager
 	0002  Osprey Cluster Manager
 	0003  Harrier Cluster Manager
@@ -13455,21 +13558,22 @@
 1688  CastleNet Technology Inc.
 	1170  WLAN 802.11b card
 168c  Atheros Communications Inc.
-	0007  AR5000 802.11a Wireless Adapter
+	0007  AR5210 Wireless Network Adapter [AR5000 802.11a]
 		1737 0007  WPC54A Wireless PC Card
 		1b47 0100  Harmony 8450CN Wireless CardBus Module
 		1b47 0110  Skyline 4030 / Harmony 8450 802.11a Wireless CardBus Adapter
 		8086 2501  PRO/Wireless 5000 LAN PCI Adapter Module
-	0011  AR5210 802.11a NIC
-	0012  AR5211 802.11ab NIC
+	0011  AR5211 Wireless Network Adapter [AR5001A 802.11a]
+	0012  AR5211 Wireless Network Adapter [AR5001X 802.11ab]
 		126c 8031  2201 Mobile Adapter
 		1385 4400  WAB501 802.11ab Wireless CardBus Card
 		1b47 aa00  8460 802.11ab Wireless CardBus Adapter
-	0013  AR5212/AR5213 Multiprotocol MAC/baseband processor
+# AR5001G, AR5001X+, AR5002G, AR5002X, AR5004G, AR5004X chipsets
+	0013  AR5212/AR5213 Wireless Network Adapter
 		0308 3402  AG-100 802.11ag Wireless Cardbus Adapter
 		0308 3405  G-102 v2 802.11g Wireless Cardbus Adapter
 		0308 3408  G-170S 802.11g Wireless CardBus Adapter
-		0e11 00e5  NC6000 laptop
+		0e11 00e5  NC6000/NC8000 laptop
 		10b7 6002  3CRWE154A72 802.11abg Cardbus Adapter
 		1113 d301  Philips CPWNA100 Wireless CardBus adapter
 		1113 ee23  SMCWPCIT-G 108Mbps Wireless PCI adapter
@@ -13485,7 +13589,7 @@
 		1186 3a1a  WNA-2330 802.11bg Wireless CardBus Adapter
 		1186 3a63  D-Link AirPremier DWL-AG660 Wireless Cardbus Adapter
 		1186 3a93  Conceptronic C54I Wireless 801.11g PCI card
-		1186 3a94  C54C Wireless 801.11g cardbus
+		1186 3a94  Conceptronic C54C 802.11g Wireless Cardbus Adapter
 		1186 3ab0  Allnet ALL0281 Wireless PCI Card
 		1385 4900  WG311v1 802.11g Wireless PCI Adapter
 		1385 4b00  WG511T 108 Mbps Wireless PC Card (rev.A/B)
@@ -13518,14 +13622,14 @@
 		1737 0017  WPC55AG
 		1737 0026  WMP55AG v1.1
 		1737 0035  WPC55AG v1.2 802.11abg Cardbus Adapter
+		1737 0036  WMP55AG v1.2 802.11abg PCI Adapter
 		1799 3000  F6D3000 Dual-Band Wireless A+G Desktop Card
 		1799 3010  F6D3010 Dual-Band Wireless A+G Notebook Card
 		17cf 0042  Z-COMAX Highpower XG-622H (400mw) 802.11b/g mini-PCI Adapter
 		185f 1012  CM9 Wireless a/b/g MiniPCI Adapter
 		185f 2012  Wistron NeWeb WLAN a+b+g model CB9
 		a727 6801  3CRXJK10075 OfficeConnect Wireless 108Mbps 11g XJACK PC Card
-# the name AR5005G is used for the reference design using AR2413
-	001a  AR2413 802.11bg NIC
+	001a  AR2413/AR2414 Wireless Network Adapter [AR5005G(S) 802.11bg]
 		1052 168c  Sweex Wireless Lan PC Card 54Mbps
 		1113 ee20  SMC Wireless CardBus Adapter 802.11g (SMCWCB-G EU)
 		1113 ee24  SMC Wireless PCI Card WPCI-G
@@ -13545,8 +13649,7 @@
 		1799 701d  F5D7010 v5000 Wireless G Notebook Card
 		17f9 0008  DX-WGNBC 802.11bg Wireless CardBus Adapter
 		17f9 0018  DX-WGDTC 802.11bg Wireless PCI Adapter
-# the name AR5006X is used for the reference design using AR5413
-	001b  AR5413 802.11abg NIC
+	001b  AR5413/AR5414 Wireless Network Adapter [AR5006X(S) 802.11abg]
 		0777 3002  XR2 802.11g Wireless Mini PCI Adapter
 		0777 3005  XR5 802.11a Wireless Mini PCI Adapter
 		0777 3009  XR9 900MHz Wireless Mini PCI Adapter
@@ -13581,7 +13684,7 @@
 		168c 3065  AR5006EG 802.11bg NIC (2.4GHz, PCI Express)
 		168c 3067  AR242x 802.11abg Wireless PCI Express Adapter (rev 01)
 		1a3b 1026  AW-GE780 802.11bg Wireless Mini PCIe Card
-	001d  AR5007G Wireless Network Adapter
+	001d  AR2417 Wireless Network Adapter [AR5007G 802.11bg]
 		1799 720b  F5D7000 v8000 Wireless G Desktop Card
 		1799 721b  F5D7010 v8000 Wireless G Notebook Card
 # the name AR5005VL is used for some AR5513 based designs
@@ -13591,7 +13694,7 @@
 		1186 3a68  DWL-G520M Wireless 108G MIMO Desktop Adapter
 		187e 340e  M-302 802.11g Wireless PCI Adapter
 		1976 2003  TEW-601PC 802.11g Wireless CardBus Adapter
-	0023  AR5008 Wireless Network Adapter
+	0023  AR5416 Wireless Network Adapter [AR5008 802.11(a)bgn]
 		0308 340b  NWD-170N 802.11bgn Wireless CardBus Adapter
 		1154 0365  Buffalo WLP-CB-AG300 802.11abgn Cardbus Adapter
 		1154 0367  WLI-CB-AG301N 802.11abgn Wireless CardBus Adapter
@@ -13605,15 +13708,16 @@
 		1799 8011  F5D8011 v1 802.11n N1 Wireless Notebook Card
 		187e 3411  NWD-370N 802.11n Wireless PCI Adapter
 		1976 2008  TEW-621PC 802.11bgn Wireless CardBus Adapter
-	0024  AR5008E Wireless Network Adapter
+	0024  AR5418 Wireless Network Adapter [AR5008E 802.11(a)bgn] (PCI-Express)
 		106b 0087  AR5BXB72 802.11abgn Mini PCIe Card [AR5008E-3NX]
-	0027  AR9160 802.11abgn Wireless PCI Adapter
+	0027  AR9160 Wireless Network Adapter [AR9001 802.11(a)bgn]
 		0777 4082  SR71-A 802.11abgn Wireless Mini PCI Adapter
 	0029  AR922X Wireless Network Adapter
+		0777 4005  SR71-15 802.11an Mini PCI Adapter
 		1186 3a7a  DWA-552 802.11n Xtreme N Desktop Adapter (rev A2)
 	002a  AR928X Wireless Network Adapter (PCI-Express)
 		103c 3041  AR5BHB92-H 802.11abgn Wireless Half-size Mini PCIe Card [AR9280]
-		105b e006  T77H053.00 802.11bgn (1x2:2) Wireless Mini PCIe Card [AR9281]
+		105b e006  T77H053.00 802.11bgn Wireless Mini PCIe Card [AR9281]
 		105b e01f  T77H047.31 802.11bgn Wireless Half-size Mini PCIe Card [AR9283]
 		11ad 6600  WN6600A 802.11bgn Wireless Mini PCIe Card [AR9281]
 		144f 7141  WLL6080 802.11bgn Wireless Mini PCIe Card [AR9281]
@@ -13634,8 +13738,8 @@
 		1a3b 2c37  AW-NB037H 802.11bgn Wireless Half-size Mini PCIe Card [AR9002WB-1NGCD]
 		1b9a 0401  XW204E 802.11bgn Wireless Half-size Mini PCIe Card
 		1b9a 0c03  WB214E 802.11bgn Wireless Half-size Mini PCIe Card [AR9002WB-1NGCD]
-	002c  AR2427 Wireless Network Adapter (PCI-Express)
-	002d  AR9287 Wireless Network Adapter
+	002c  AR2427 802.11bg Wireless Network Adapter (PCI-Express)
+	002d  AR9227 Wireless Network Adapter
 	002e  AR9287 Wireless Network Adapter (PCI-Express)
 	0030  AR9300 Wireless LAN adaptor
 		103c 1627  HB112AGN 802.11abgn 3x3 Wi-Fi Adapter
@@ -13643,7 +13747,7 @@
 		1a56 2001  Killer Wireless-N 1103 Half-size Mini PCIe Card [AR9380]
 	0032  AR9485 Wireless Network Adapter
 	0033  AR9580 Wireless Network Adapter
-	0207  AR5210
+	0207  AR5210 Wireless Network Adapter [AR5000 802.11a]
 	1014  AR5212 802.11abg NIC
 		1014 058a  ThinkPad 11a/b/g Wireless LAN Mini Express Adapter (AR5BXB6)
 	9013  AR5002X Wireless Network Adapter
@@ -13655,7 +13759,6 @@
 	0044  Revolution Storage Processing Card
 # The right ID is 196d, but they got it nibble-swapped in 2202.
 169d  Club-3D VB (Wrong ID)
-	3306  ZAP TV 2202
 16a5  Tekram Technology Co.,Ltd.
 16ab  Global Sun Technology Inc
 	1100  GL24110P
@@ -13769,7 +13872,6 @@
 	1098  Amilo L 1310G
 1735  Aten International Co. Ltd.
 1737  Linksys
-	0013  WMP54G Wireless Pci Card
 	0029  WPG54G ver. 4 PCI Card
 	1032  Gigabit Network Adapter
 		1737 0015  EG1032 v2 Instant Gigabit Network Adapter
@@ -13834,6 +13936,10 @@
 1797  Techwell Inc.
 	6801  TW6802 multimedia video card
 	6802  TW6802 multimedia other device
+	6810  TW6816 multimedia video controller
+	6811  TW6816 multimedia video controller
+	6812  TW6816 multimedia video controller
+	6813  TW6816 multimedia video controller
 1799  Belkin
 	6001  F5D6001 Wireless PCI Card [Realtek RTL8180]
 	6020  F5D6020 v3000 Wireless PCMCIA Card [Realtek RTL8180]
@@ -13873,6 +13979,7 @@
 17cb  Airgo Networks Inc
 	0001  AGN100 802.11 a/b/g True MIMO Wireless Card
 		1385 5c00  WGM511 Pre-N 802.11g Wireless CardBus Adapter
+		1737 0045  WMP54GX v1 802.11g Wireless-G PCI Adapter with SRX
 	0002  AGN300 802.11 a/b/g True MIMO Wireless Card
 		1385 6d00  WPNT511 RangeMax 240 Mbps Wireless CardBus Adapter
 		1737 0054  WPC54GX4 v1 802.11g Wireless-G Notebook Adapter with SRX400
@@ -13972,7 +14079,7 @@
 		1371 0010  Minitar MNW2BPCI Wireless PCI Card
 		1462 6828  PC11B2 (MS-6828) Wireless 11b PCI Card
 	0200  RT2500 802.11g PCI [PC54G2]
-	0201  RT2500 802.11g
+	0201  RT2500 Wireless 802.11bg
 		1043 130f  WL-130g
 		1371 001e  CWC-854 Wireless-G CardBus Adapter
 		1371 001f  CWM-854 Wireless-G Mini PCI Adapter
@@ -13981,10 +14088,11 @@
 		1458 e931  GN-WIKG 802.11b/g mini-PCI Adapter
 		1462 6833  Unknown 802.11g mini-PCI Adapter
 		1462 6835  Wireless 11G CardBus CB54G2
-		1737 0032  WMP54G 2.0 PCI Adapter
+		1737 0032  WMP54G v4.0 PCI Adapter
 		1799 700a  F5D7000 v2000/v3000 Wireless G Desktop Card
 		1799 701a  F5D7010 v2000/v3000 Wireless G Notebook Card
-		1814 2560  Sweex LC700050 802.11b/g Wireless LAN PCI Card
+		1814 2560  RT2500 Wireless 802.11bg
+		182d 9073  WL-115 Wireless Network PCI Adapter
 		185f 22a0  CN-WF513 Wireless Cardbus Adapter
 		1948 3c00  C54RC v1 Wireless 11g CardBus Adapter
 		1948 3c01  C54Ri v1 Wireless 11g PCI Adapter
@@ -13995,7 +14103,7 @@
 		13d1 abe3  miniPCI Pluscom 802.11 a/b/g
 		1458 e933  GN-WI01GS
 		1458 e934  GN-WP01GS
-		1737 0055  WMP54G ver 4.1
+		1737 0055  WMP54G v4.1
 		1799 700e  F5D7000 v6000 Wireless G Desktop Card
 		1799 701e  F5D7010 v6000 Wireless G Notebook Card
 		17f9 0012  AWLC3026T 802.11g Wireless CardBus Adapter
@@ -14016,11 +14124,12 @@
 		187e 3412  NWD-310N 802.11n Wireless PCI Adapter
 	0681  RT2860 Wireless 802.11n PCIe
 		1458 e939  GN-WS30N-RH 802.11bgn Mini PCIe Card
-	0701  RT2760 Wireless 802.11n 1T/2R Cardbus
+	0701  RT2760 Wireless 802.11n 1T/2R
 		1737 0074  WMP110 v2 802.11n RangePlus Wireless PCI Adapter
-	0781  RT2860
+	0781  RT2790 Wireless 802.11n 1T/2R PCIe
 	3060  RT3060 Wireless 802.11n 1T/1R
 		1186 3c04  DWA-525 Wireless N 150 Desktop Adapter (rev.A1)
+	3062  RT3062 Wireless 802.11n 2T/2R
 	3090  RT3090 Wireless 802.11n 1T/1R PCIe
 		13bd 1057  GN-WS32L-RH Half-size Mini PCIe Card
 	3091  RT3091 Wireless 802.11n 1T/2R PCIe
@@ -14129,7 +14238,8 @@
 	0027  Z11/Z11M
 	0040  Volari V3XT/V5/V8
 	0047  Volari 8300 (chip: XP10, codename: XG47)
-18d2  Sitecom
+# should be 182d
+18d2  Sitecom Europe BV (Wrong ID)
 # Sitecom HFC-S based ISDN controller card DC-105v2
 	3069  DC-105v2 ISDN controller
 18d8  Dialogue Technology Corp.
@@ -14279,6 +14389,9 @@
 		1924 6206  SFN5122F-R6
 		1924 6210  SFN5322F-R0
 		1924 6211  SFN5322F-R1
+		1924 6501  SFN5802K-R1
+		1924 6511  SFN5814H-R1
+		1924 6521  SFN5812H-R1
 		1924 6a05  SFN5112F-R5
 		1924 6a06  SFN5112F-R6
 		1924 7206  SFN5162F-R6
@@ -14420,10 +14533,10 @@
 	1975  DVG64 family
 	1977  DVG128 family
 # nee Attansic Technology Corp.
-1969  Atheros Communications
+1969  Atheros Communications Inc.
 	1026  AR8121/AR8113/AR8114 Gigabit or Fast Ethernet
 		1043 8304  P5KPL-CM Motherboard
-	1048  L1 Gigabit Ethernet
+	1048  Attansic L1 Gigabit Ethernet
 		1043 8226  P5KPL-VM Motherboard
 	1062  AR8132 Fast Ethernet
 	1063  AR8131 Gigabit Ethernet
@@ -14443,7 +14556,7 @@
 1971  AGEIA Technologies, Inc.
 	1011  Physics Processing Unit [PhysX]
 		1043 0001  PhysX P1
-1974  TransferZentrum Mikroelektronik
+1974  Eberspaecher Electronics
 1976  TRENDnet
 1977  Parsec
 197b  JMicron Technology Corp.
@@ -14453,9 +14566,9 @@
 	2360  JMB360 AHCI Controller
 	2361  JMB361 AHCI/IDE
 		1462 7235  P965 Neo MS-7235 mainboard
-	2362  JMB362 AHCI Controller
+	2362  JMB362 SATA Controller
 		1043 8460  P8P67 Deluxe Motherboard
-	2363  JMB362/JMB363 Serial ATA Controller
+	2363  JMB363 SATA/IDE Controller
 		1043 81e4  P5B [JMB363]
 		1458 b000  GA-EP45-DS5 Motherboard
 		1849 2363  Motherboard (one of many)
@@ -14569,6 +14682,14 @@
 1a32  Quanta Microsystems, Inc
 1a3b  AzureWave
 	1112  AR9285 Wireless Network Adapter (PCI-Express)
+1a41  Tilera Corp.
+	0001  TILE64 processor
+	0002  TILEPro processor
+	0200  TILE-Gx36 processor
+1a4a  SLAC National Accelerator Lab PPA-REG
+	1000  MCOR Power Supply Controller
+	2000  PGPCard - 4 Lane
+	2010  PCI-Express EVR
 1a51  Hectronic AB
 1a56  Bigfoot Networks, Inc.
 1a57  Highly Reliable Systems
@@ -14618,9 +14739,17 @@
 1aed  Fusion-io
 	1003  ioDimm3 (v1.2)
 	1005  ioDimm3
+		1014 03c3  High IOPS SSD PCIe Adapter
+		103c 176f  1.28TB MLC PCIe ioDrive Duo
+		103c 1770  5.2TB MLC PCIe ioDrive Octal
+		103c 178b  160GB SLC PCIe ioDrive
+		103c 178c  320GB MLC PCIe ioDrive
+		103c 178d  320GB SLC PCIe ioDrive Duo
+		103c 178e  640GB MLC PCIe ioDrive Duo
 	1006  ioXtreme
 	1007  ioXtreme Pro
 	1008  ioXtreme-2
+	2001  ioDrive2
 1aee  Caustic Graphics Inc.
 # nee Qumranet, Inc.
 1af4  Red Hat, Inc
@@ -14636,9 +14765,13 @@
 1b1a  K&F Computing Research Co.
 	0e70  GRAPE
 1b21  ASMedia Technology Inc.
+	0611  ASM1061 SATA IDE Controller
+	0612  ASM1062 Serial ATA Controller
 	1042  ASM1042 SuperSpeed USB Host Controller
-	1080  ASM108x PCIe to PCI Bridge Controller
+	1080  ASM1083/1085 PCIe to PCI Bridge
 1b36  Red Hat, Inc.
+1b37  Signal Processing Devices Sweden AB
+	0014  ADQ412
 1b3a  Westar Display Technologies
 	7589  HRED J2000 - JPEG 2000 Video Codec Device
 1b3e  Teradata Corp.
@@ -14651,6 +14784,7 @@
 	0601  NumaChip N601
 	0602  NumaChip N602
 1b4b  Marvell Technology Group Ltd.
+	9120  88SE9120 SATA 6Gb/s Controller
 	9123  88SE9123 PCIe SATA 6.0 Gb/s controller
 	9125  88SE9125 PCIe SATA 6.0 Gb/s controller
 	9128  88SE9128 PCIe SATA 6 Gb/s RAID controller
@@ -14667,6 +14801,9 @@
 	7023  EJ168 USB 3.0 Host Controller
 1b73  Fresco Logic
 	1000  FL1000G USB 3.0 Host Controller
+1b85  OCZ Technology Group, Inc.
+	1041  RevoDrive 3 X2 PCI-Express SSD 240 GB (Marvell Controller)
+1b96  Western Digital
 1b9a  XAVi Technologies Corp.
 1bad  ReFLEX CES
 1bb3  Bluecherry
@@ -14686,6 +14823,8 @@
 1c2c  Fiberblaze
 # Used on V120 VME Crate Controller
 1c32  Highland Technology, Inc.
+1c44  Enmotus Inc
+	8000  8000 Storage IO Controller
 1d44  DPT
 	a400  PM2x24/PM3224
 1de1  Tekram Technology Co.,Ltd.
@@ -14785,6 +14924,8 @@
 	1922  AS-i 3.0 PCI Master
 3475  Arastra Inc.
 3513  ARCOM Control Systems Ltd
+37d9  ITD Firm ltd.
+	1138  SCHD-PH-8 Phase detector
 3842  eVga.com. Corp.
 38ef  4Links
 3d3d  3DLabs
@@ -14943,7 +15084,7 @@
 		1461 c739  M785 AVerMedia PCI Analog TV (NTSC/PAL/SECAM+FM, Xceive 2028 tuner)
 		9005 0092  VideOh! AVC-2010
 		9005 0093  VideOh! AVC-2410
-	0803  iTVC15 MPEG-2 Encoder
+	0803  iTVC15 (CX23415) Video Decoder
 		0070 4000  WinTV PVR-350
 		0070 4001  WinTV PVR-250
 		0070 4800  WinTV PVR-350 (V1)
@@ -15486,6 +15627,33 @@
 	0886  Centrino Wireless-N + WiMAX 6150
 		8086 1315  Centrino Wireless-N + WiMAX 6150 BGN
 		8086 1317  Centrino Wireless-N + WiMAX 6150 BG
+	0887  Centrino Wireless-N 2230
+		8086 4062  Centrino Wireless-N 2230 BGN
+		8086 4462  Centrino Wireless-N 2230 BGN
+	0888  Centrino Wireless-N 2230
+		8086 4262  Centrino Wireless-N 2230 BGN
+	088e  Centrino Advanced-N 6235
+		8086 4060  Centrino Advanced-N 6235 AGN
+		8086 4460  Centrino Advanced-N 6235 AGN
+	088f  Centrino Advanced-N 6235
+		8086 4260  Centrino Advanced-N 6235 AGN
+	0890  Centrino Wireless-N 2200
+		8086 4022  Centrino Wireless-N 2200 BGN
+		8086 4422  Centrino Wireless-N 2200 BGN
+		8086 4822  Centrino Wireless-N 2200 BGN
+	0891  Centrino Wireless-N 2200
+		8086 4222  Centrino Wireless-N 2200 BGN
+	0892  Centrino Wireless-N 135
+		8086 0062  Centrino Wireless-N 135 BGN
+		8086 0462  Centrino Wireless-N 135 BGN
+	0893  Centrino Wireless-N 135
+		8086 0262  Centrino Wireless-N 135 BGN
+	0894  Centrino Wireless-N 105
+		8086 0022  Centrino Wireless-N 105 BGN
+		8086 0422  Centrino Wireless-N 105 BGN
+		8086 0822  Centrino Wireless-N 105 BGN
+	0895  Centrino Wireless-N 105
+		8086 0222  Centrino Wireless-N 105 BGN
 	0896  Centrino Wireless-N 130
 		8086 5005  Centrino Wireless-N 130 BGN
 		8086 5007  Centrino Wireless-N 130 BG
@@ -15505,30 +15673,30 @@
 	0960  80960RP (i960RP) Microprocessor/Bridge
 	0962  80960RM (i960RM) Bridge
 	0964  80960RP (i960RP) Microprocessor/Bridge
-	0be0  Cedarview Integrated Graphics Controller
-	0be1  Cedarview Integrated Graphics Controller
-	0be2  Cedarview Integrated Graphics Controller
-	0be3  Cedarview Integrated Graphics Controller
-	0be4  Cedarview Integrated Graphics Controller
-	0be5  Cedarview Integrated Graphics Controller
-	0be6  Cedarview Integrated Graphics Controller
-	0be7  Cedarview Integrated Graphics Controller
-	0be8  Cedarview Integrated Graphics Controller
-	0be9  Cedarview Integrated Graphics Controller
-	0bea  Cedarview Integrated Graphics Controller
-	0beb  Cedarview Integrated Graphics Controller
-	0bec  Cedarview Integrated Graphics Controller
-	0bed  Cedarview Integrated Graphics Controller
-	0bee  Cedarview Integrated Graphics Controller
-	0bef  Cedarview Integrated Graphics Controller
-	0bf0  Cedarview DRAM Controller
-	0bf1  Cedarview DRAM Controller
-	0bf2  Cedarview DRAM Controller
-	0bf3  Cedarview DRAM Controller
-	0bf4  Cedarview DRAM Controller
-	0bf5  Cedarview DRAM Controller
-	0bf6  Cedarview DRAM Controller
-	0bf7  Cedarview DRAM Controller
+	0be0  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
+	0be1  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
+	0be2  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
+	0be3  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
+	0be4  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
+	0be5  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
+	0be6  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
+	0be7  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
+	0be8  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
+	0be9  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
+	0bea  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
+	0beb  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
+	0bec  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
+	0bed  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
+	0bee  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
+	0bef  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
+	0bf0  Atom Processor D2xxx/N2xxx DRAM Controller
+	0bf1  Atom Processor D2xxx/N2xxx DRAM Controller
+	0bf2  Atom Processor D2xxx/N2xxx DRAM Controller
+	0bf3  Atom Processor D2xxx/N2xxx DRAM Controller
+	0bf4  Atom Processor D2xxx/N2xxx DRAM Controller
+	0bf5  Atom Processor D2xxx/N2xxx DRAM Controller
+	0bf6  Atom Processor D2xxx/N2xxx DRAM Controller
+	0bf7  Atom Processor D2xxx/N2xxx DRAM Controller
 	1000  82542 Gigabit Ethernet Controller (Fiber)
 		0e11 b0df  NC6132 Gigabit Ethernet Adapter (1000-SX)
 		0e11 b0e0  NC6133 Gigabit Ethernet Adapter (1000-LX)
@@ -15963,11 +16131,14 @@
 		8086 000d  Ethernet Mezzanine Adapter X520-KX4-2
 	10f8  82599EB 10 Gigabit Dual Port Backplane Connection
 		1028 1f63  10GbE 2P X520k bNDC
-		103c 1783  Ethernet 10Gb 2-port 560FLB Adapter
 		103c 17d2  Ethernet 10Gb 2-port 560M Adapter
+		103c 18d0  Ethernet 10Gb 2-port 560FLB Adapter
 		8086 000c  Ethernet X520 10GbE Dual Port KX4-KR Mezz
 	10f9  82599EB 10 Gigabit CX4 Dual Port Network Connection
 	10fb  82599EB 10-Gigabit SFI/SFP+ Network Connection
+		103c 17d0  Ethernet 10Gb 2-port 560FLR-SFP+ Adapter
+		103c 17d2  Ethernet 10Gb 2-port 560M Adapter
+		103c 17d3  Ethernet 10Gb 2-port 560SFP+ Adapter
 		108e 7b11  Ethernet Server Adapter X520-2
 		1734 11a9  10 Gigabit Dual Port Network Connection
 		8086 0002  Ethernet Server Adapter X520-DA2
@@ -16232,6 +16403,8 @@
 	1521  I350 Gigabit Network Connection
 		1028 1f60  Intel GbE 4P I350crNDC
 		1028 1f62  Intel GbE 2P I350crNDC
+		103c 337f  Ethernet 1Gb 2-port 361i Adapter
+		103c 3380  Ethernet 1Gb 4-port 366i Adapter
 		103c 339e  Ethernet 1Gb 2-port 361T Adapter [Wharton Stony Lake]
 		108e 7b16  Quad Port GbE PCIe 2.0 ExpressModule, UTP
 		108e 7b18  Quad Port GbE PCIe 2.0 Low Profile Adapter, UTP
@@ -16252,6 +16425,7 @@
 		8086 00a4  Ethernet Server Adapter I350-F2
 	1523  I350 Gigabit Backplane Connection
 		103c 1784  Ethernet 1Gb 2-port 361FLB Adapter [Badger Flat]
+		103c 18d1  Ethernet 1Gb 2-port 361FLB Adapter
 		103c 339f  Ethernet 1Gb 4-port 366M Adapter [Vaca Key]
 		8086 1f52  1GbE 4P I350 Mezz
 	1524  I350 Gigabit Connection
@@ -16265,14 +16439,17 @@
 	1528  Ethernet Controller 10 Gigabit X540-AT2
 		108e 7b14  Sun Dual Port 10 GbE PCIe 2.0 ExpressModule, Base-T
 		108e 7b15  Sun Dual Port 10 GbE PCIe 2.0 Low Profile Adapter, Base-T
-		8086 0001  Ethernet Server Adapter X540-T2
-		8086 0002  Ethernet Server Adapter X540-T1
-		8086 001a  Ethernet Server Adapter X540-T2
-		8086 00a2  Ethernet Server Adapter X540-T1
+		8086 0001  Ethernet Converged Network Adapter X540-T2
+		8086 0002  Ethernet Converged Network Adapter X540-T1
+		8086 001a  Ethernet Converged Network Adapter X540-T2
+		8086 00a2  Ethernet Converged Network Adapter X540-T1
 		8086 1f61  Ethernet 10G 4P X540/I350 rNDC
 		8086 5003  Ethernet 10G 2P X540-t Adapter
 	1529  82599 10 Gigabit Dual Port Backplane Connection with FCoE
 	152a  82599 10 Gigabit Dual port Network Connection with FCoE
+	154a  Ethernet Server Adapter X520-4
+		8086 011a  Ethernet Converged Network Adapter X520-4
+		8086 011b  Ethernet Converged Network Adapter X520-4
 	154d  82599EB 10-Gigabit SFP+ Network Connection
 		8086 7b11  10GbE 2P X520 Adapter
 	1960  80960RP (i960RP) Microprocessor
@@ -16320,7 +16497,7 @@
 		8086 a11f  PRO/10GbE LR Server Adapter
 	1c00  6 Series/C200 Series Chipset Family 4 port SATA IDE Controller
 	1c01  6 Series/C200 Series Chipset Family 4 port SATA IDE Controller
-	1c02  6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
+	1c02  6 Series/C200 Series Chipset Family SATA AHCI Controller
 		1028 04aa  XPS 8300
 		1043 844d  P8P67 Deluxe Motherboard
 	1c03  6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
@@ -16338,6 +16515,7 @@
 	1c1c  6 Series/C200 Series Chipset Family PCI Express Root Port 7
 	1c1e  6 Series/C200 Series Chipset Family PCI Express Root Port 8
 	1c20  6 Series/C200 Series Chipset Family High Definition Audio Controller
+		1028 0490  Alienware M17x R3
 		1028 04aa  XPS 8300
 		1028 04b2  Vostro 3350
 		1043 8418  P8P67 Deluxe Motherboard
@@ -16351,6 +16529,8 @@
 		1028 04aa  XPS 8300
 		1028 04b2  Vostro 3350
 		1043 844d  P8P67 Deluxe Motherboard
+	1c27  6 Series/C200 Series Chipset Family USB Universal Host Controller #1
+	1c2c  6 Series/C200 Series Chipset Family USB Universal Host Controller #5
 	1c2d  6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
 		1028 04aa  XPS 8300
 		1028 04b2  Vostro 3350
@@ -16399,48 +16579,47 @@
 	1c5d  6 Series/C200 Series Chipset Family LPC Controller
 	1c5e  6 Series/C200 Series Chipset Family LPC Controller
 	1c5f  6 Series/C200 Series Chipset Family LPC Controller
-	1d00  Patsburg 4-Port SATA IDE Controller
-	1d02  Patsburg 6-Port SATA AHCI Controller
-	1d04  Patsburg SATA RAID Controller
+	1d00  X79 series chipset 4-Port SATA IDE Controller
+	1d02  X79 series chipset 6-Port SATA AHCI Controller
+	1d04  X79 series chipset SATA RAID Controller
 	1d06  Patsburg SATA Premium RAID Controller
-	1d08  Patsburg 2-Port SATA IDE Controller
-	1d10  Patsburg PCI Express Root Port 1
-	1d11  Patsburg PCI Express Root Port 1
-	1d12  Patsburg PCI Express Root Port 2
-	1d13  Patsburg PCI Express Root Port 2
-	1d14  Patsburg PCI Express Root Port 3
-	1d15  Patsburg PCI Express Root Port 3
-	1d16  Patsburg PCI Express Root Port 4
-	1d17  Patsburg PCI Express Root Port 4
-	1d18  Patsburg PCI Express Root Port 5
-	1d19  Patsburg PCI Express Root Port 5
-	1d1a  Patsburg PCI Express Root Port 6
-	1d1b  Patsburg PCI Express Root Port 6
-	1d1c  Patsburg PCI Express Root Port 7
-	1d1d  Patsburg PCI Express Root Port 7
-	1d1e  Patsburg PCI Express Root Port 8
-	1d1f  Patsburg PCI Express Root Port 8
-	1d20  Patsburg High Definition Audio Controller
-	1d22  Patsburg SMBus Host Controller
-	1d24  Patsburg Thermal Management Controller
-	1d25  Patsburg DMI to PCI Bridge
-	1d26  Patsburg USB2 Enhanced Host Controller #1
-	1d2d  Patsburg USB2 Enhanced Host Controller #2
-	1d33  Patsburg LAN Controller
+	1d08  X79 series chipset 2-Port SATA IDE Controller
+	1d10  X79 series chipset PCI Express Root Port 1
+	1d11  X79 series chipset PCI Express Root Port 1
+	1d12  X79 series chipset PCI Express Root Port 2
+	1d13  X79 series chipset PCI Express Root Port 2
+	1d14  X79 series chipset PCI Express Root Port 3
+	1d15  X79 series chipset PCI Express Root Port 3
+	1d16  X79 series chipset PCI Express Root Port 4
+	1d17  X79 series chipset PCI Express Root Port 4
+	1d18  X79 series chipset PCI Express Root Port 5
+	1d19  X79 series chipset PCI Express Root Port 5
+	1d1a  X79 series chipset PCI Express Root Port 6
+	1d1b  X79 series chipset PCI Express Root Port 6
+	1d1c  X79 series chipset PCI Express Root Port 7
+	1d1d  X79 series chipset PCI Express Root Port 7
+	1d1e  X79 series chipset PCI Express Root Port 8
+	1d1f  X79 series chipset PCI Express Root Port 8
+	1d20  X79 series chipset High Definition Audio Controller
+	1d22  X79 series chipset SMBus Host Controller
+	1d24  X79 series chipset Thermal Management Controller
+	1d25  X79 series chipset DMI to PCI Bridge
+	1d26  X79 series chipset USB2 Enhanced Host Controller #1
+	1d2d  X79 series chipset USB2 Enhanced Host Controller #2
+	1d33  X79 series chipset LAN Controller
 	1d35  Patsburg VECI Controller
-	1d3a  Patsburg MEI Controller #1
-	1d3b  Patsburg MEI Controller #2
-	1d3c  Patsburg IDE-r Controller
-	1d3d  Patsburg KT Controller
+	1d3a  X79 series chipset HECI Controller #2
+	1d3b  X79 series chipset IDE-r Controller
+	1d3d  X79 series chipset KT Controller
 	1d3e  Patsburg PCI Express Virtual Root Port
 	1d3f  Patsburg PCI Express Virtual Switch Port
-	1d40  Patsburg LPC Controller
-	1d41  Patsburg LPC Controller
+	1d40  X79 series chipset LPC Controller
+	1d41  X79 series chipset LPC Controller
 	1d50  Patsburg Dual 4-Port SATA/SAS Storage Control Unit
 	1d54  Patsburg Dual 4-Port SATA/SAS Storage Control Unit
-	1d55  Patsburg 4-Port SATA/SAS Storage Control Unit
+	1d55  X79 series chipset 4-Port SATA/SAS Storage Control Unit
 	1d58  Patsburg Dual 4-Port SATA/SAS Storage Control Unit
-	1d59  Patsburg 4-Port SATA/SAS Storage Control Unit
+	1d59  X79 series chipset 4-Port SATA/SAS Storage Control Unit
 	1d5a  Patsburg Dual 4-Port SATA Storage Control Unit
 	1d5b  Patsburg 4-Port SATA Storage Control Unit
 	1d5c  Patsburg Dual 4-Port SATA/SAS Storage Control Unit
@@ -16449,32 +16628,32 @@
 	1d5f  Patsburg 4-Port SATA Storage Control Unit
 	1d60  Patsburg Dual 4-Port SATA/SAS Storage Control Unit
 	1d64  Patsburg Dual 4-Port SATA/SAS Storage Control Unit
-	1d65  Patsburg 4-Port SATA/SAS Storage Control Unit
+	1d65  X79 series chipset 4-Port SATA/SAS Storage Control Unit
 	1d68  Patsburg Dual 4-Port SATA/SAS Storage Control Unit
-	1d69  Patsburg 4-Port SATA/SAS Storage Control Unit
+	1d69  X79 series chipset 4-Port SATA/SAS Storage Control Unit
 	1d6a  Patsburg Dual 4-Port SATA Storage Control Unit
 	1d6b  Patsburg 4-Port SATA Storage Control Unit
 	1d6c  Patsburg Dual 4-Port SATA/SAS Storage Control Unit
 	1d6d  Patsburg 4-Port SATA/SAS Storage Control Unit
 	1d6e  Patsburg Dual 4-Port SATA Storage Control Unit
 	1d6f  Patsburg 4-Port SATA Storage Control Unit
-	1d70  Patsburg SMBus Controller 0
+	1d70  X79 series chipset SMBus Controller 0
 	1d71  Patsburg SMBus Controller 1
 	1d72  Patsburg SMBus Controller 2
 	1d73  Patsburg Integrated NVSRAM Controller
 	1d74  Patsburg PCI Express Upstream Port
 	1d76  Patsburg Multi-Function Glue
-	1e00  Panther Point 4 port SATA IDE Controller
-	1e01  Panther Point 4 port SATA IDE Controller
-	1e02  Panther Point 6 port SATA AHCI Controller
-	1e03  Panther Point 6 port SATA AHCI Controller
-	1e04  Panther Point SATA RAID Controller
-	1e05  Panther Point SATA RAID Controller
-	1e06  Panther Point SATA Premium RAID Controller
-	1e07  Panther Point SATA Premium RAID Controller
-	1e08  Panther Point 2 port SATA IDE Controller
-	1e09  Panther Point 2 port SATA IDE Controller
-	1e0e  Panther Point SATA RAID Controller
+	1e00  Panther Point 4 port SATA Controller [IDE mode]
+	1e01  Panther Point 4 port SATA Controller [IDE mode]
+	1e02  Panther Point 6 port SATA Controller [AHCI mode]
+	1e03  Panther Point 6 port SATA Controller [AHCI mode]
+	1e04  Panther Point SATA Controller [RAID mode]
+	1e05  Panther Point SATA Controller [RAID mode]
+	1e06  Panther Point SATA Controller [Premium RAID mode]
+	1e07  Panther Point SATA Controller [Premium RAID mode]
+	1e08  Panther Point 2 port SATA Controller [IDE mode]
+	1e09  Panther Point 2 port SATA Controller [IDE mode]
+	1e0e  Panther Point SATA Controller [RAID mode]
 	1e10  Panther Point PCI Express Root Port 1
 	1e12  Panther Point PCI Express Root Port 2
 	1e14  Panther Point PCI Express Root Port 3
@@ -16986,7 +17165,7 @@
 		1028 0156  Precision 360
 		1028 0169  Precision 470
 		103c 12bc  d330 uT
-		1043 80a6  P4P800 Mainboard
+		1043 80a6  P4P800/P5P800 series motherboard
 		1458 24d2  GA-8IPE1000 Pro2 motherboard (865PE)
 		1462 7280  865PE Neo2 (MS-6728)
 		1462 7650  Hetis 865GV-E (MS-7065)
@@ -17024,7 +17203,7 @@
 		1028 0169  Precision 470
 		103c 006a  NX9500
 		103c 12bc  d330 uT
-		1043 80f3  P4P800 Mainboard
+		1043 80f3  P4P800 series motherboard
 		1043 810f  P5P800-MX Mainboard
 		1458 a002  GA-8IPE1000/8KNXP motherboard
 		1462 0080  865PE Neo2-V (MS-6788) Mainboard
@@ -17168,7 +17347,7 @@
 		103c 12bc  d330 uT
 		1043 80f2  P4P800/P5P800 series motherboard
 		1458 2570  GA-8IPE1000 Pro2 motherboard (865PE)
-	2571  82865G/PE/P PCI to AGP Controller
+	2571  82865G/PE/P AGP Bridge
 	2572  82865G Integrated Graphics Controller
 		1028 019d  Dimension 3000
 		103c 12bc  D530 sff(dc578av)
@@ -17206,7 +17385,7 @@
 	258a  E7221 Integrated Graphics Controller
 	2590  Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller
 		1014 0575  ThinkPad Z60t
-		1028 0182  Dell Latidude C610
+		1028 0182  Dell Latitude C610
 		103c 0934  Compaq nw8240/nx8220
 		103c 099c  NX6110/NC6120
 		104d 81b7  Vaio VGN-S3XP
@@ -17630,7 +17809,7 @@
 		8086 4f4d  DeskTop Board D510MO
 	27bd  82801GHM (ICH7-M DH) LPC Interface Bridge
 		1025 006c  9814 WKMI
-	27c0  N10/ICH7 Family SATA IDE Controller
+	27c0  N10/ICH7 Family SATA Controller [IDE mode]
 		1028 01ad  OptiPlex GX620
 		1028 01df  PowerEdge SC440
 		1028 01e6  PowerEdge 860
@@ -17640,24 +17819,24 @@
 		1462 7236  945P Neo3-F Rev. 2.2 motherboard
 		1775 11cc  CC11/CL11
 		8086 544e  DeskTop Board D945GTP
-	27c1  N10/ICH7 Family SATA AHCI Controller
+	27c1  N10/ICH7 Family SATA Controller [AHCI mode]
 		1028 01df  PowerEdge SC440
 		103c 2a3b  Pavilion A1512X
 		1775 11cc  CC11/CL11
 		8086 4f4d  DeskTop Board D510MO
 		8086 5842  DeskTop Board D975XBX
-	27c3  82801GR/GH (ICH7 Family) SATA RAID Controller
+	27c3  82801GR/GDH (ICH7R/ICH7DH) SATA Controller [RAID mode]
 		1775 11cc  CC11/CL11
 		8086 544e  DeskTop Board D945GTP
-	27c4  82801GBM/GHM (ICH7 Family) SATA IDE Controller
+	27c4  82801GBM/GHM (ICH7-M Family) SATA Controller [IDE mode]
 		1025 006c  9814 WKMI
 		1028 01d7  XPS M1210
 		17aa 200e  Thinkpad T60 model 2007
-	27c5  82801GBM/GHM (ICH7 Family) SATA AHCI Controller
+	27c5  82801GBM/GHM (ICH7-M Family) SATA Controller [AHCI mode]
 		103c 309f  Compaq nx9420 Notebook
 		103c 30a3  Compaq nw8440
 		17aa 200d  ThinkPad T60/R60 series
-	27c6  82801GHM (ICH7-M DH) SATA RAID Controller
+	27c6  82801GHM (ICH7-M DH) SATA Controller [RAID mode]
 	27c8  N10/ICH 7 Family USB UHCI Controller #1
 		1025 006c  9814 WKMI
 		1028 01ad  OptiPlex GX620
@@ -17779,6 +17958,7 @@
 		8086 1112  DeskTop Board D945GTP
 		8086 27d8  DeskTop Board D945GTP
 		8086 d618  DeskTop Board D510MO
+		8384 7680  STAC9221 HD Audio Codec
 	27da  N10/ICH 7 Family SMBus Controller
 		1025 006c  9814 WKMI
 		1028 01ad  OptiPlex GX620
@@ -17823,13 +18003,13 @@
 	2802  82GL40 [Cantiga] High Definition Audio HDMI Service
 	2810  82801HB/HR (ICH8/R) LPC Interface Controller
 		1043 81ec  P5B
-	2811  82801HBM (ICH8M-E) LPC Interface Controller
+	2811  82801HEM (ICH8M-E) LPC Interface Controller
 		103c 30c1  Compaq 6910p
 		17aa 20b6  T61
 		e4bf cc47  CCG-RUMBA
 	2812  82801HH (ICH8DH) LPC Interface Controller
 	2814  82801HO (ICH8DO) LPC Interface Controller
-	2815  82801HEM (ICH8M) LPC Interface Controller
+	2815  82801HM (ICH8M) LPC Interface Controller
 		1025 0121  Aspire 5920G
 		1028 01f3  Inspiron 1420
 		103c 30c0  Compaq 6710b
@@ -17837,23 +18017,23 @@
 		103c 30d9  Presario C700
 		104d 9005  Vaio VGN-FZ260E
 		104d 902d  VAIO VGN-NR120E
-	2820  82801H (ICH8 Family) 4 port SATA IDE Controller
+	2820  82801H (ICH8 Family) 4 port SATA Controller [IDE mode]
 		1028 01da  OptiPlex 745
 		1462 7235  P965 Neo MS-7235 mainboard
-	2821  82801HR/HO/HH (ICH8R/DO/DH) 6 port SATA AHCI Controller
-	2822  82801 SATA RAID Controller
+	2821  82801HR/HO/HH (ICH8R/DO/DH) 6 port SATA Controller [AHCI mode]
+	2822  82801 SATA Controller [RAID mode]
 		1028 020d  Inspiron 530
-	2824  82801HB (ICH8) 4 port SATA AHCI Controller
+	2824  82801HB (ICH8) 4 port SATA Controller [AHCI mode]
 		1043 81ec  P5B
-	2825  82801H (ICH8 Family) 2 port SATA IDE Controller
+	2825  82801HR/HO/HH (ICH8R/DO/DH) 2 port SATA Controller [IDE mode]
 		1028 01da  OptiPlex 745
 		1462 7235  P965 Neo MS-7235 mainboard
 	2826  Patsburg SATA RAID Controller
-	2828  82801HBM/HEM (ICH8M/ICH8M-E) SATA IDE Controller
+	2828  82801HM/HEM (ICH8M/ICH8M-E) SATA Controller [IDE mode]
 		1028 01f3  Inspiron 1420
 		103c 30c0  Compaq 6710b
 		e4bf cc47  CCG-RUMBA
-	2829  82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller
+	2829  82801HM/HEM (ICH8M/ICH8M-E) SATA Controller [AHCI mode]
 		1025 0121  Aspire 5920G
 		103c 30c0  Compaq 6710b
 		103c 30c1  Compaq 6910p
@@ -17863,7 +18043,7 @@
 		104d 902d  VAIO VGN-NR120E
 		17aa 20a7  ThinkPad T61
 		e4bf cc47  CCG-RUMBA
-	282a  Mobile 82801 SATA RAID Controller
+	282a  82801 Mobile SATA Controller [RAID mode]
 		1028 040b  Latitude E6510
 		e4bf 50c1  PC1-GROOVE
 	2830  82801H (ICH8 Family) USB UHCI Controller #1
@@ -18016,7 +18196,7 @@
 		8384 7616  Dell Vostro 1400
 		e4bf cc47  CCG-RUMBA
 	284f  82801H (ICH8 Family) Thermal Reporting Device
-	2850  82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller
+	2850  82801HM/HEM (ICH8M/ICH8M-E) IDE Controller
 		1025 0121  Aspire 5920G
 		1028 01f3  Inspiron 1420
 		103c 30c0  Compaq 6710b
@@ -18038,34 +18218,34 @@
 		1028 0236  PowerEdge R610 82801IB (ICH9) LPC Interface Controller
 		1462 7360  G33/P35 Neo
 	2919  ICH9M LPC Interface Controller
-	2920  82801IR/IO/IH (ICH9R/DO/DH) 4 port SATA IDE Controller
+	2920  82801IR/IO/IH (ICH9R/DO/DH) 4 port SATA Controller [IDE mode]
 		1028 020d  Inspiron 530
 		1028 020f  PowerEdge R300 onboard SATA Controller
 		1028 0210  PowerEdge T300 onboard SATA Controller
 		1028 0211  Optiplex 755
 		1028 023c  PowerEdge R200 onboard SATA Controller
-	2921  82801IB (ICH9) 2 port SATA IDE Controller
+	2921  82801IB (ICH9) 2 port SATA Controller [IDE mode]
 		1028 0235  PowerEdge R710 SATA IDE Controller
 		1028 0236  PowerEdge R610 SATA IDE Controller
 		1028 0237  PowerEdge T610 SATA IDE Controller
 		1462 7360  G33/P35 Neo
-	2922  82801IR/IO/IH (ICH9R/DO/DH) 6 port SATA AHCI Controller
-	2923  82801IB (ICH9) 4 port SATA AHCI Controller
-	2925  82801IR/IO (ICH9R/DO) SATA RAID Controller
+	2922  82801IR/IO/IH (ICH9R/DO/DH) 6 port SATA Controller [AHCI mode]
+	2923  82801IB (ICH9) 4 port SATA Controller [AHCI mode]
+	2925  82801IR/IO (ICH9R/DO) SATA Controller [RAID mode]
 		1734 10e0  System Board D2542
 		8086 2925  System Board D2542
-	2926  82801I (ICH9 Family) 2 port SATA IDE Controller
+	2926  82801I (ICH9 Family) 2 port SATA Controller [IDE mode]
 		1028 020d  Inspiron 530
 		1028 020f  PowerEdge R300 onboard SATA Controller
 		1028 0210  PowerEdge T300 onboard SATA Controller
 		1028 0211  Optiplex 755
 		1462 7360  G33/P35 Neo
-	2928  ICH9M/M-E 2 port SATA IDE Controller
-	2929  ICH9M/M-E SATA AHCI Controller
+	2928  82801IBM/IEM (ICH9M/ICH9M-E) 2 port SATA Controller [IDE mode]
+	2929  82801IBM/IEM (ICH9M/ICH9M-E) 4 port SATA Controller [AHCI mode]
 		103c 3628  dv6-1190en
 		e4bf cc4d  CCM-BOOGIE
-	292c  ICH9M-E SATA RAID Controller
-	292d  ICH9M/M-E 2 port SATA IDE Controller
+	292c  82801IEM (ICH9M-E) SATA Controller [RAID mode]
+	292d  82801IBM/IEM (ICH9M/ICH9M-E) 2 port SATA Controller [IDE mode]
 		e4bf cc4d  CCM-BOOGIE
 	292e  ICH9M SATA IDE Controller
 	2930  82801I (ICH9 Family) SMBus Controller
@@ -19962,7 +20142,12 @@
 	0601  PCI Mezzanine Card
 d531  I+ME ACTIA GmbH
 d84d  Exsys
+dada  Datapath Limited
 db10  Diablo Technologies
+dcba  Dynamic Engineering
+	0046  PCIeAlteraCycloneIV
+dd01  Digital Devices GmbH
+	0003  Octopus LE DVB adapter
 dead  Indigita Corporation
 deaf  Middle Digital Inc.
 	9050  PC Weasel Virtual VGA
@@ -20205,6 +20390,7 @@
 		01  ISA RTC
 	04  PCI Hot-plug controller
 	05  SD Host controller
+	06  IOMMU
 	80  System peripheral
 C 09  Input device controller
 	00  Keyboard controller
diff -ruN pciutils-3.1.8/pciutils.lsm pciutils-3.1.9/pciutils.lsm
--- pciutils-3.1.8/pciutils.lsm	2011-10-02 13:29:04.000000000 +0200
+++ pciutils-3.1.9/pciutils.lsm	2012-01-14 15:48:04.000000000 +0100
@@ -1,14 +1,14 @@
 Begin3
 Title:          The PCI Utilities
-Version:        3.1.8
-Entered-date:   111002
+Version:        3.1.9
+Entered-date:   120114
 Description:    This package contains various utilities for inspecting and
 		setting of devices connected to the PCI bus.
 Keywords:       kernel, pci, lspci, setpci, libpci
 Author:         mj@ucw.cz (Martin Mares)
 Maintained-by:  mj@ucw.cz (Martin Mares)
-Primary-site:   atrey.karlin.mff.cuni.cz pub/linux/pci/pciutils-3.1.8.tar.gz
-Alternate-site: ftp.kernel.org pub/software/utils/pciutils/pciutils-3.1.8.tar.gz
-Alternate-site: metalab.unc.edu pub/Linux/hardware/pciutils-3.1.8.tar.gz
+Primary-site:   atrey.karlin.mff.cuni.cz pub/linux/pci/pciutils-3.1.9.tar.gz
+Alternate-site: ftp.kernel.org pub/software/utils/pciutils/pciutils-3.1.9.tar.gz
+Alternate-site: metalab.unc.edu pub/Linux/hardware/pciutils-3.1.9.tar.gz
 Copying-policy: GPL
 End
diff -ruN pciutils-3.1.8/pciutils.spec pciutils-3.1.9/pciutils.spec
--- pciutils-3.1.8/pciutils.spec	2011-10-02 13:29:04.000000000 +0200
+++ pciutils-3.1.9/pciutils.spec	2012-01-14 15:48:04.000000000 +0100
@@ -1,5 +1,5 @@
 Name:		pciutils
-Version:	3.1.8
+Version:	3.1.9
 Release: 	1
 Source:		ftp://atrey.karlin.mff.cuni.cz/pub/linux/pci/%{name}-%{version}.tar.gz
 Copyright:	GNU GPL
diff -ruN pciutils-3.1.8/setpci.man pciutils-3.1.9/setpci.man
--- pciutils-3.1.8/setpci.man	2011-10-02 12:27:00.000000000 +0200
+++ pciutils-3.1.9/setpci.man	2011-10-10 22:52:27.000000000 +0200
@@ -148,7 +148,7 @@
 Each of the previous formats can be followed by \fB+offset\fP to add an offset
 (a hex number) to the address. This feature can be useful for addressing of registers
 living within a capability, or to modify parts of standard registers.
-\IP \(bu
+.IP \(bu
 Finally, you should append a width specifier \fB.B\fP, \fB.W\fP, or \fB.L\fP to choose
 how many bytes (1, 2, or 4) should be transferred. The width can be omitted if you are
 referring to a register by its name and the width of the register is well known.
diff -ruN pciutils-3.1.8/update-pciids.sh pciutils-3.1.9/update-pciids.sh
--- pciutils-3.1.8/update-pciids.sh	2011-01-07 22:04:28.000000000 +0100
+++ pciutils-3.1.9/update-pciids.sh	2012-01-14 15:29:38.000000000 +0100
@@ -3,7 +3,7 @@
 [ "$1" = "-q" ] && quiet=true || quiet=false
 
 set -e
-SRC="http://pciids.sourceforge.net/v2.2/pci.ids"
+SRC="http://pci-ids.ucw.cz/v2.2/pci.ids"
 DEST=pci.ids
 PCI_COMPRESSED_IDS=
 GREP=grep
diff -ruN pciutils-3.1.8/win32/config.h pciutils-3.1.9/win32/config.h
--- pciutils-3.1.8/win32/config.h	2011-10-02 13:29:04.000000000 +0200
+++ pciutils-3.1.9/win32/config.h	2012-01-14 15:48:04.000000000 +0100
@@ -3,4 +3,4 @@
 #define PCI_HAVE_PM_INTEL_CONF
 #define PCI_IDS "pci.ids"
 #define PCI_PATH_IDS_DIR "."
-#define PCILIB_VERSION "3.1.8"
+#define PCILIB_VERSION "3.1.9"
